/* Generated by re2c 1.1.1 on Tue Aug 25 17:18:35 2020 */
#line 1 "tokenizer.re"
#include <limits>

#include "tokenizer.h"
#include "parser.tab.hh"

namespace LFortran
{

void Tokenizer::set_string(const std::string &str)
{
    // The input string must be NULL terminated, otherwise the tokenizer will
    // not detect the end of string. After C++11, the std::string is guaranteed
    // to end with \0, but we check this here just in case.
    LFORTRAN_ASSERT(str[str.size()] == '\0');
    cur = (unsigned char *)(&str[0]);
    cur_line = cur;
    line_num = 1;
}

template<int base>
bool adddgt(unsigned long &u, unsigned long d)
{
    if (u > (std::numeric_limits<unsigned long>::max() - d) / base) {
        return false;
    }
    u = u * base + d;
    return true;
}

bool lex_dec(const unsigned char *s, const unsigned char *e, unsigned long &u)
{
    for (u = 0; s < e; ++s) {
        if (!adddgt<10>(u, *s - 0x30u)) {
            return false;
        }
    }
    return true;
}

#define KW(x) token(yylval.string); RET(KW_##x);
#define RET(x) token_loc(loc); return yytokentype::x;

int Tokenizer::lex(YYSTYPE &yylval, Location &loc)
{
	unsigned long u;
    for (;;) {
        tok = cur;
        /*
        Re2c has an excellent documentation at:

        https://re2c.org/manual/manual_c.html

        The first paragraph there explains the basics:

        * If multiple rules match, the longest match takes precedence
        * If multiple rules match the same string, the earlier rule takes
          precedence
        * Default rule `*` should always be defined, it has the lowest priority
          regardless of its place and matches any code unit

        See the manual for more details.
        */
        
#line 67 "tokenizer.cpp"
{
	unsigned char yych;
	unsigned int yyaccept = 0;
	static const unsigned char yybm[] = {
		/* table 1 .. 8: 0 */
		  0,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  24,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  20,  28,  28,  28,  28,  12, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		159, 159, 159, 159, 159, 159, 159, 159, 
		159, 159,  28,  28,  28,  28,  28,  28, 
		 28, 158, 158, 158, 158, 158, 158, 158, 
		158, 158, 158, 158, 158, 158, 158, 158, 
		158, 158, 158, 158, 158, 158, 158, 158, 
		158, 158, 158,  28,  28,  28,  28, 220, 
		 28, 190, 190, 190, 190, 190, 190, 190, 
		190, 190, 190, 190, 190, 190, 190, 190, 
		190, 190, 190, 190, 190, 190, 190, 190, 
		190, 190, 190,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		 28,  28,  28,  28,  28,  28,  28,  28, 
		/* table 9 .. 9: 256 */
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0, 128,   0, 128,   0, 128,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		128,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
	};
	yych = *cur;
	if (yybm[256+yych] & 128) {
		goto yy6;
	}
	switch (yych) {
	case 0x00:	goto yy2;
	case '\t':
	case '\n':	goto yy9;
	case ' ':
	case '!':	goto yy11;
	case '"':	goto yy12;
	case '%':	goto yy13;
	case '&':	goto yy15;
	case '\'':	goto yy16;
	case '(':	goto yy17;
	case ')':	goto yy19;
	case '*':	goto yy21;
	case '+':	goto yy23;
	case ',':	goto yy25;
	case '-':	goto yy27;
	case '.':	goto yy29;
	case '/':	goto yy30;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy32;
	case ':':	goto yy35;
	case ';':	goto yy37;
	case '<':	goto yy39;
	case '=':	goto yy41;
	case '>':	goto yy43;
	case 'A':
	case 'a':	goto yy45;
	case 'B':
	case 'b':	goto yy47;
	case 'C':
	case 'c':	goto yy48;
	case 'D':
	case 'd':	goto yy49;
	case 'E':
	case 'e':	goto yy50;
	case 'F':
	case 'f':	goto yy51;
	case 'G':
	case 'g':	goto yy52;
	case 'H':
	case 'J':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'h':
	case 'j':
	case 'x':
	case 'y':
	case 'z':	goto yy53;
	case 'I':
	case 'i':	goto yy55;
	case 'K':
	case 'k':	goto yy56;
	case 'L':
	case 'l':	goto yy57;
	case 'M':
	case 'm':	goto yy58;
	case 'N':
	case 'n':	goto yy59;
	case 'O':
	case 'o':	goto yy60;
	case 'P':
	case 'p':	goto yy61;
	case 'Q':
	case 'q':	goto yy62;
	case 'R':
	case 'r':	goto yy63;
	case 'S':
	case 's':	goto yy64;
	case 'T':
	case 't':	goto yy65;
	case 'U':
	case 'u':	goto yy66;
	case 'V':
	case 'v':	goto yy67;
	case 'W':
	case 'w':	goto yy68;
	case '[':	goto yy69;
	case ']':	goto yy71;
	case '|':	goto yy73;
	default:	goto yy4;
	}
yy2:
	++cur;
#line 88 "tokenizer.re"
	{ RET(END_OF_FILE); }
#line 238 "tokenizer.cpp"
yy4:
	++cur;
yy5:
#line 83 "tokenizer.re"
	{ token_loc(loc);
                std::string t = token();
                throw LFortran::TokenizerError("token '" + t
                    + "' is not recognized", loc, t);
            }
#line 248 "tokenizer.cpp"
yy6:
	yych = *++cur;
	if (yybm[256+yych] & 128) {
		goto yy6;
	}
#line 89 "tokenizer.re"
	{ continue; }
#line 256 "tokenizer.cpp"
yy9:
	++cur;
#line 228 "tokenizer.re"
	{
                    token_loc(loc); line_num++; cur_line=cur;
                    return yytokentype::TK_NEWLINE;
            }
#line 264 "tokenizer.cpp"
yy11:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy76;
yy12:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy81;
yy13:
	++cur;
#line 244 "tokenizer.re"
	{ RET(TK_PERCENT) }
#line 279 "tokenizer.cpp"
yy15:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy85;
yy16:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 0x00) goto yy5;
	goto yy89;
yy17:
	++cur;
#line 234 "tokenizer.re"
	{ RET(TK_LPAREN) }
#line 294 "tokenizer.cpp"
yy19:
	++cur;
#line 235 "tokenizer.re"
	{ RET(TK_RPAREN) }
#line 299 "tokenizer.cpp"
yy21:
	yych = *++cur;
	if (yych == '*') goto yy92;
#line 246 "tokenizer.re"
	{ RET(TK_STAR) }
#line 305 "tokenizer.cpp"
yy23:
	++cur;
#line 238 "tokenizer.re"
	{ RET(TK_PLUS) }
#line 310 "tokenizer.cpp"
yy25:
	++cur;
#line 245 "tokenizer.re"
	{ RET(TK_COMMA) }
#line 315 "tokenizer.cpp"
yy27:
	++cur;
#line 239 "tokenizer.re"
	{ RET(TK_MINUS) }
#line 320 "tokenizer.cpp"
yy29:
	yyaccept = 0;
	yych = *(mar = ++cur);
	if (yych <= 'f') {
		if (yych <= '9') {
			if (yych == '.') goto yy94;
			if (yych <= '/') goto yy5;
			goto yy96;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy5;
				goto yy99;
			} else {
				if (yych <= 'd') goto yy100;
				if (yych <= 'e') goto yy102;
				goto yy103;
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'k') {
				if (yych <= 'g') goto yy104;
				goto yy100;
			} else {
				if (yych <= 'l') goto yy105;
				if (yych <= 'm') goto yy100;
				goto yy106;
			}
		} else {
			if (yych <= 's') {
				if (yych <= 'o') goto yy107;
				goto yy100;
			} else {
				if (yych <= 't') goto yy108;
				if (yych <= 'z') goto yy100;
				goto yy5;
			}
		}
	}
yy30:
	yych = *++cur;
	if (yych == '/') goto yy109;
	if (yych == '=') goto yy111;
#line 243 "tokenizer.re"
	{ RET(TK_SLASH) }
#line 366 "tokenizer.cpp"
yy32:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 1) {
		goto yy32;
	}
	if (yych <= 'E') {
		if (yych == '.') {
			ctxmar = cur;
			goto yy113;
		}
		if (yych >= 'D') goto yy114;
	} else {
		if (yych <= '_') {
			if (yych >= '_') goto yy115;
		} else {
			if (yych <= 'c') goto yy34;
			if (yych <= 'e') goto yy114;
		}
	}
yy34:
#line 295 "tokenizer.re"
	{
                if (lex_dec(tok, cur, u)) {
                    yylval.n = u;
                    RET(TK_INTEGER)
                } else {
                    token_loc(loc);
                    std::string t = token();
                    throw LFortran::TokenizerError("Integer too large",
                        loc, t);
                }
            }
#line 400 "tokenizer.cpp"
yy35:
	yych = *++cur;
	if (yych == ':') goto yy116;
#line 241 "tokenizer.re"
	{ RET(TK_COLON) }
#line 406 "tokenizer.cpp"
yy37:
	++cur;
#line 242 "tokenizer.re"
	{ RET(TK_SEMICOLON) }
#line 411 "tokenizer.cpp"
yy39:
	yych = *++cur;
	if (yych == '=') goto yy118;
yy40:
#line 259 "tokenizer.re"
	{ RET(TK_LT) }
#line 418 "tokenizer.cpp"
yy41:
	yych = *++cur;
	if (yych <= '<') goto yy42;
	if (yych <= '=') goto yy120;
	if (yych <= '>') goto yy122;
yy42:
#line 240 "tokenizer.re"
	{ RET(TK_EQUAL) }
#line 427 "tokenizer.cpp"
yy43:
	yych = *++cur;
	if (yych == '=') goto yy124;
yy44:
#line 261 "tokenizer.re"
	{ RET(TK_GT) }
#line 434 "tokenizer.cpp"
yy45:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'K') {
			if (yych == 'B') goto yy126;
			goto yy54;
		} else {
			if (yych <= 'L') goto yy127;
			if (yych <= 'R') goto yy54;
			goto yy128;
		}
	} else {
		if (yych <= 'k') {
			if (yych == 'b') goto yy126;
			goto yy54;
		} else {
			if (yych <= 'l') goto yy127;
			if (yych == 's') goto yy128;
			goto yy54;
		}
	}
yy46:
#line 314 "tokenizer.re"
	{ token(yylval.string); RET(TK_NAME) }
#line 459 "tokenizer.cpp"
yy47:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych <= 'H') {
			if (yych == 'A') goto yy131;
			goto yy54;
		} else {
			if (yych <= 'I') goto yy132;
			if (yych <= 'K') goto yy54;
			goto yy133;
		}
	} else {
		if (yych <= 'h') {
			if (yych == 'a') goto yy131;
			goto yy54;
		} else {
			if (yych <= 'i') goto yy132;
			if (yych == 'l') goto yy133;
			goto yy54;
		}
	}
yy48:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy134;
	case 'H':
	case 'h':	goto yy135;
	case 'L':
	case 'l':	goto yy136;
	case 'O':
	case 'o':	goto yy137;
	case 'R':
	case 'r':	goto yy138;
	case 'Y':
	case 'y':	goto yy139;
	default:	goto yy54;
	}
yy49:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych <= 'E') {
			if (yych == 'A') goto yy140;
			if (yych <= 'D') goto yy54;
			goto yy141;
		} else {
			if (yych == 'I') goto yy142;
			if (yych <= 'N') goto yy54;
			goto yy143;
		}
	} else {
		if (yych <= 'e') {
			if (yych == 'a') goto yy140;
			if (yych <= 'd') goto yy54;
			goto yy141;
		} else {
			if (yych <= 'i') {
				if (yych <= 'h') goto yy54;
				goto yy142;
			} else {
				if (yych == 'o') goto yy143;
				goto yy54;
			}
		}
	}
yy50:
	yych = *++cur;
	switch (yych) {
	case 'L':
	case 'l':	goto yy145;
	case 'N':
	case 'n':	goto yy146;
	case 'Q':
	case 'q':	goto yy147;
	case 'R':
	case 'r':	goto yy148;
	case 'X':
	case 'x':	goto yy149;
	default:	goto yy54;
	}
yy51:
	yych = *++cur;
	switch (yych) {
	case 'I':
	case 'i':	goto yy150;
	case 'L':
	case 'l':	goto yy151;
	case 'O':
	case 'o':	goto yy152;
	case 'U':
	case 'u':	goto yy153;
	default:	goto yy54;
	}
yy52:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy154;
		if (yych <= 'N') goto yy54;
		goto yy155;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy54;
			goto yy154;
		} else {
			if (yych == 'o') goto yy155;
			goto yy54;
		}
	}
yy53:
	yych = *++cur;
yy54:
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
	goto yy46;
yy55:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'L') {
			if (yych == 'F') goto yy157;
			goto yy54;
		} else {
			if (yych <= 'M') goto yy159;
			if (yych <= 'N') goto yy160;
			if (yych <= 'R') goto yy54;
			goto yy162;
		}
	} else {
		if (yych <= 'm') {
			if (yych == 'f') goto yy157;
			if (yych <= 'l') goto yy54;
			goto yy159;
		} else {
			if (yych <= 'n') goto yy160;
			if (yych == 's') goto yy162;
			goto yy54;
		}
	}
yy56:
	yych = *++cur;
	if (yych == 'I') goto yy164;
	if (yych == 'i') goto yy164;
	goto yy54;
yy57:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'E') goto yy165;
		if (yych <= 'N') goto yy54;
		goto yy166;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy54;
			goto yy165;
		} else {
			if (yych == 'o') goto yy166;
			goto yy54;
		}
	}
yy58:
	yych = *++cur;
	if (yych == 'O') goto yy167;
	if (yych == 'o') goto yy167;
	goto yy54;
yy59:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'N') {
			if (yych == 'A') goto yy168;
			goto yy54;
		} else {
			if (yych <= 'O') goto yy169;
			if (yych <= 'T') goto yy54;
			goto yy170;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'a') goto yy168;
			goto yy54;
		} else {
			if (yych <= 'o') goto yy169;
			if (yych == 'u') goto yy170;
			goto yy54;
		}
	}
yy60:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'O') {
			if (yych == 'N') goto yy171;
			goto yy54;
		} else {
			if (yych <= 'P') goto yy172;
			if (yych <= 'T') goto yy54;
			goto yy173;
		}
	} else {
		if (yych <= 'o') {
			if (yych == 'n') goto yy171;
			goto yy54;
		} else {
			if (yych <= 'p') goto yy172;
			if (yych == 'u') goto yy173;
			goto yy54;
		}
	}
yy61:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'O') {
			if (yych == 'A') goto yy174;
			if (yych <= 'N') goto yy54;
			goto yy175;
		} else {
			if (yych == 'R') goto yy176;
			if (yych <= 'T') goto yy54;
			goto yy177;
		}
	} else {
		if (yych <= 'o') {
			if (yych == 'a') goto yy174;
			if (yych <= 'n') goto yy54;
			goto yy175;
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy54;
				goto yy176;
			} else {
				if (yych == 'u') goto yy177;
				goto yy54;
			}
		}
	}
yy62:
	yych = *++cur;
	if (yych == 'U') goto yy178;
	if (yych == 'u') goto yy178;
	goto yy54;
yy63:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy179;
		if (yych <= 'D') goto yy54;
		goto yy180;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy179;
		} else {
			if (yych == 'e') goto yy180;
			goto yy54;
		}
	}
yy64:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy181;
	case 'E':
	case 'e':	goto yy182;
	case 'H':
	case 'h':	goto yy183;
	case 'O':
	case 'o':	goto yy184;
	case 'T':
	case 't':	goto yy185;
	case 'U':
	case 'u':	goto yy186;
	default:	goto yy54;
	}
yy65:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy187;
	case 'E':
	case 'e':	goto yy188;
	case 'H':
	case 'h':	goto yy189;
	case 'O':
	case 'o':	goto yy190;
	case 'Y':
	case 'y':	goto yy192;
	default:	goto yy54;
	}
yy66:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'N') goto yy193;
		if (yych <= 'R') goto yy54;
		goto yy194;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy54;
			goto yy193;
		} else {
			if (yych == 's') goto yy194;
			goto yy54;
		}
	}
yy67:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy195;
		if (yych <= 'N') goto yy54;
		goto yy196;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy195;
		} else {
			if (yych == 'o') goto yy196;
			goto yy54;
		}
	}
yy68:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'H') goto yy197;
		if (yych <= 'Q') goto yy54;
		goto yy198;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy54;
			goto yy197;
		} else {
			if (yych == 'r') goto yy198;
			goto yy54;
		}
	}
yy69:
	++cur;
#line 236 "tokenizer.re"
	{ RET(TK_LBRACKET) }
#line 794 "tokenizer.cpp"
yy71:
	++cur;
#line 237 "tokenizer.re"
	{ RET(TK_RBRACKET) }
#line 799 "tokenizer.cpp"
yy73:
	++cur;
#line 247 "tokenizer.re"
	{ RET(TK_VBAR) }
#line 804 "tokenizer.cpp"
yy75:
	yych = *++cur;
yy76:
	if (yybm[0+yych] & 4) {
		goto yy75;
	}
	if (yych >= 0x01) goto yy78;
yy77:
	cur = mar;
	if (yyaccept <= 4) {
		if (yyaccept <= 2) {
			if (yyaccept <= 1) {
				if (yyaccept == 0) {
					goto yy5;
				} else {
					goto yy34;
				}
			} else {
				goto yy83;
			}
		} else {
			if (yyaccept == 3) {
				goto yy91;
			} else {
				goto yy98;
			}
		}
	} else {
		if (yyaccept <= 6) {
			if (yyaccept == 5) {
				goto yy46;
			} else {
				goto yy250;
			}
		} else {
			if (yyaccept == 7) {
				goto yy596;
			} else {
				goto yy697;
			}
		}
	}
yy78:
	++cur;
	cur -= 1;
#line 308 "tokenizer.re"
	{ token(yylval.string); RET(TK_COMMENT) }
#line 852 "tokenizer.cpp"
yy80:
	yych = *++cur;
yy81:
	if (yybm[0+yych] & 8) {
		goto yy80;
	}
	if (yych <= 0x00) goto yy77;
	yyaccept = 2;
	yych = *(mar = ++cur);
	if (yych == '"') goto yy80;
yy83:
#line 310 "tokenizer.re"
	{ token_str(yylval.string); RET(TK_STRING) }
#line 866 "tokenizer.cpp"
yy84:
	yych = *++cur;
yy85:
	if (yych <= 0x00) goto yy77;
	if (yych != '\n') goto yy84;
	++cur;
#line 307 "tokenizer.re"
	{ line_num++; cur_line=cur; continue; }
#line 875 "tokenizer.cpp"
yy88:
	yych = *++cur;
yy89:
	if (yybm[0+yych] & 16) {
		goto yy88;
	}
	if (yych <= 0x00) goto yy77;
	yyaccept = 3;
	yych = *(mar = ++cur);
	if (yych == '\'') goto yy88;
yy91:
#line 311 "tokenizer.re"
	{ token_str(yylval.string); RET(TK_STRING) }
#line 889 "tokenizer.cpp"
yy92:
	++cur;
#line 252 "tokenizer.re"
	{ RET(TK_POW) }
#line 894 "tokenizer.cpp"
yy94:
	++cur;
#line 250 "tokenizer.re"
	{ RET(TK_DBL_DOT) }
#line 899 "tokenizer.cpp"
yy96:
	yyaccept = 4;
	yych = *(mar = ++cur);
yy97:
	if (yych <= 'E') {
		if (yych <= '/') goto yy98;
		if (yych <= '9') goto yy96;
		if (yych >= 'D') goto yy114;
	} else {
		if (yych <= '_') {
			if (yych >= '_') goto yy199;
		} else {
			if (yych <= 'c') goto yy98;
			if (yych <= 'e') goto yy114;
		}
	}
yy98:
#line 294 "tokenizer.re"
	{ token(yylval.string); RET(TK_REAL) }
#line 919 "tokenizer.cpp"
yy99:
	yych = *++cur;
	if (yych == 'n') goto yy202;
	goto yy101;
yy100:
	yych = *++cur;
yy101:
	if (yybm[0+yych] & 32) {
		goto yy100;
	}
	if (yych == '.') goto yy200;
	goto yy77;
yy102:
	yych = *++cur;
	if (yych == 'q') goto yy203;
	goto yy101;
yy103:
	yych = *++cur;
	if (yych == 'a') goto yy204;
	goto yy101;
yy104:
	yych = *++cur;
	if (yych == 'e') goto yy205;
	if (yych == 't') goto yy206;
	goto yy101;
yy105:
	yych = *++cur;
	if (yych == 'e') goto yy207;
	if (yych == 't') goto yy208;
	goto yy101;
yy106:
	yych = *++cur;
	if (yych == 'e') goto yy209;
	if (yych == 'o') goto yy210;
	goto yy101;
yy107:
	yych = *++cur;
	if (yych == 'r') goto yy211;
	goto yy101;
yy108:
	yych = *++cur;
	if (yych == 'r') goto yy212;
	goto yy101;
yy109:
	++cur;
#line 253 "tokenizer.re"
	{ RET(TK_CONCAT) }
#line 967 "tokenizer.cpp"
yy111:
	++cur;
#line 258 "tokenizer.re"
	{ RET(TK_NE) }
#line 972 "tokenizer.cpp"
yy113:
	yyaccept = 4;
	yych = *(mar = ++cur);
	if (yych <= '`') goto yy97;
	if (yych <= 'c') goto yy213;
	if (yych <= 'e') goto yy215;
	if (yych <= 'z') goto yy213;
	goto yy97;
yy114:
	yych = *++cur;
	if (yych <= ',') {
		if (yych == '+') goto yy216;
		goto yy77;
	} else {
		if (yych <= '-') goto yy216;
		if (yych <= '/') goto yy77;
		if (yych <= '9') goto yy217;
		goto yy77;
	}
yy115:
	yych = *++cur;
	if (yych <= '9') {
		if (yych <= '&') {
			if (yych == '"') goto yy80;
			goto yy77;
		} else {
			if (yych <= '\'') goto yy88;
			if (yych <= '/') goto yy77;
			goto yy219;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy77;
			if (yych <= 'Z') goto yy221;
			goto yy77;
		} else {
			if (yych == '`') goto yy77;
			if (yych <= 'z') goto yy221;
			goto yy77;
		}
	}
yy116:
	++cur;
#line 251 "tokenizer.re"
	{ RET(TK_DBL_COLON) }
#line 1018 "tokenizer.cpp"
yy118:
	++cur;
#line 260 "tokenizer.re"
	{ RET(TK_LE) }
#line 1023 "tokenizer.cpp"
yy120:
	++cur;
#line 257 "tokenizer.re"
	{ RET(TK_EQ) }
#line 1028 "tokenizer.cpp"
yy122:
	++cur;
#line 254 "tokenizer.re"
	{ RET(TK_ARROW) }
#line 1033 "tokenizer.cpp"
yy124:
	++cur;
#line 262 "tokenizer.re"
	{ RET(TK_GE) }
#line 1038 "tokenizer.cpp"
yy126:
	yych = *++cur;
	if (yych == 'S') goto yy223;
	if (yych == 's') goto yy223;
	goto yy54;
yy127:
	yych = *++cur;
	if (yych == 'L') goto yy224;
	if (yych == 'l') goto yy224;
	goto yy54;
yy128:
	yych = *++cur;
	if (yych <= 'Y') {
		if (yych == 'S') goto yy226;
		if (yych <= 'X') goto yy54;
		goto yy227;
	} else {
		if (yych <= 's') {
			if (yych <= 'r') goto yy54;
			goto yy226;
		} else {
			if (yych == 'y') goto yy227;
			goto yy54;
		}
	}
yy129:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych <= '&') {
		if (yych == '"') goto yy80;
		goto yy46;
	} else {
		if (yych <= '\'') goto yy88;
		if (yych == '_') goto yy129;
		goto yy46;
	}
yy131:
	yych = *++cur;
	if (yych == 'C') goto yy228;
	if (yych == 'c') goto yy228;
	goto yy54;
yy132:
	yych = *++cur;
	if (yych == 'N') goto yy229;
	if (yych == 'n') goto yy229;
	goto yy54;
yy133:
	yych = *++cur;
	if (yych == 'O') goto yy230;
	if (yych == 'o') goto yy230;
	goto yy54;
yy134:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'L') goto yy231;
		if (yych <= 'R') goto yy54;
		goto yy232;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy54;
			goto yy231;
		} else {
			if (yych == 's') goto yy232;
			goto yy54;
		}
	}
yy135:
	yych = *++cur;
	if (yych == 'A') goto yy233;
	if (yych == 'a') goto yy233;
	goto yy54;
yy136:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy234;
		if (yych <= 'N') goto yy54;
		goto yy235;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy234;
		} else {
			if (yych == 'o') goto yy235;
			goto yy54;
		}
	}
yy137:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy54;
			goto yy236;
		} else {
			if (yych <= 'L') goto yy54;
			if (yych <= 'M') goto yy237;
			goto yy238;
		}
	} else {
		if (yych <= 'l') {
			if (yych == 'd') goto yy236;
			goto yy54;
		} else {
			if (yych <= 'm') goto yy237;
			if (yych <= 'n') goto yy238;
			goto yy54;
		}
	}
yy138:
	yych = *++cur;
	if (yych == 'I') goto yy239;
	if (yych == 'i') goto yy239;
	goto yy54;
yy139:
	yych = *++cur;
	if (yych == 'C') goto yy240;
	if (yych == 'c') goto yy240;
	goto yy54;
yy140:
	yych = *++cur;
	if (yych == 'T') goto yy241;
	if (yych == 't') goto yy241;
	goto yy54;
yy141:
	yych = *++cur;
	if (yych <= 'F') {
		if (yych == 'A') goto yy242;
		if (yych <= 'E') goto yy54;
		goto yy243;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy242;
		} else {
			if (yych == 'f') goto yy243;
			goto yy54;
		}
	}
yy142:
	yych = *++cur;
	if (yych == 'M') goto yy244;
	if (yych == 'm') goto yy244;
	goto yy54;
yy143:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'W') {
		if (yych <= '@') {
			if (yych <= '/') goto yy144;
			if (yych <= '9') goto yy53;
		} else {
			if (yych == 'U') goto yy245;
			if (yych <= 'V') goto yy53;
			goto yy246;
		}
	} else {
		if (yych <= 'u') {
			if (yych <= 'Z') goto yy53;
			if (yych <= '`') goto yy144;
			if (yych <= 't') goto yy53;
			goto yy245;
		} else {
			if (yych == 'w') goto yy246;
			if (yych <= 'z') goto yy53;
		}
	}
yy144:
#line 121 "tokenizer.re"
	{ KW(DO) }
#line 1212 "tokenizer.cpp"
yy145:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych == 'E') goto yy247;
		if (yych <= 'R') goto yy54;
		goto yy248;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy54;
			goto yy247;
		} else {
			if (yych == 's') goto yy248;
			goto yy54;
		}
	}
yy146:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy54;
			goto yy249;
		} else {
			if (yych <= 'S') goto yy54;
			if (yych <= 'T') goto yy251;
			goto yy252;
		}
	} else {
		if (yych <= 's') {
			if (yych == 'd') goto yy249;
			goto yy54;
		} else {
			if (yych <= 't') goto yy251;
			if (yych <= 'u') goto yy252;
			goto yy54;
		}
	}
yy147:
	yych = *++cur;
	if (yych == 'U') goto yy253;
	if (yych == 'u') goto yy253;
	goto yy54;
yy148:
	yych = *++cur;
	if (yych == 'R') goto yy254;
	if (yych == 'r') goto yy254;
	goto yy54;
yy149:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'I') goto yy255;
		if (yych <= 'S') goto yy54;
		goto yy256;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy54;
			goto yy255;
		} else {
			if (yych == 't') goto yy256;
			goto yy54;
		}
	}
yy150:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'L') goto yy257;
		if (yych <= 'M') goto yy54;
		goto yy258;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy54;
			goto yy257;
		} else {
			if (yych == 'n') goto yy258;
			goto yy54;
		}
	}
yy151:
	yych = *++cur;
	if (yych == 'U') goto yy259;
	if (yych == 'u') goto yy259;
	goto yy54;
yy152:
	yych = *++cur;
	if (yych == 'R') goto yy260;
	if (yych == 'r') goto yy260;
	goto yy54;
yy153:
	yych = *++cur;
	if (yych == 'N') goto yy261;
	if (yych == 'n') goto yy261;
	goto yy54;
yy154:
	yych = *++cur;
	if (yych == 'N') goto yy262;
	if (yych == 'n') goto yy262;
	goto yy54;
yy155:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 150 "tokenizer.re"
	{ KW(GO) }
#line 1317 "tokenizer.cpp"
yy157:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 151 "tokenizer.re"
	{ KW(IF) }
#line 1326 "tokenizer.cpp"
yy159:
	yych = *++cur;
	if (yych == 'P') goto yy263;
	if (yych == 'p') goto yy263;
	goto yy54;
yy160:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'T') {
		if (yych <= 'C') {
			if (yych <= '9') {
				if (yych >= '0') goto yy53;
			} else {
				if (yych <= '@') goto yy161;
				if (yych <= 'B') goto yy53;
				goto yy264;
			}
		} else {
			if (yych <= 'P') {
				if (yych == 'O') goto yy265;
				goto yy53;
			} else {
				if (yych <= 'Q') goto yy266;
				if (yych <= 'S') goto yy53;
				goto yy267;
			}
		}
	} else {
		if (yych <= 'o') {
			if (yych <= 'b') {
				if (yych <= 'Z') goto yy53;
				if (yych >= 'a') goto yy53;
			} else {
				if (yych <= 'c') goto yy264;
				if (yych <= 'n') goto yy53;
				goto yy265;
			}
		} else {
			if (yych <= 's') {
				if (yych == 'q') goto yy266;
				goto yy53;
			} else {
				if (yych <= 't') goto yy267;
				if (yych <= 'z') goto yy53;
			}
		}
	}
yy161:
#line 155 "tokenizer.re"
	{ KW(IN) }
#line 1379 "tokenizer.cpp"
yy162:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 163 "tokenizer.re"
	{ KW(IS) }
#line 1388 "tokenizer.cpp"
yy164:
	yych = *++cur;
	if (yych == 'N') goto yy268;
	if (yych == 'n') goto yy268;
	goto yy54;
yy165:
	yych = *++cur;
	if (yych == 'N') goto yy269;
	if (yych == 'n') goto yy269;
	goto yy54;
yy166:
	yych = *++cur;
	if (yych <= 'G') {
		if (yych == 'C') goto yy271;
		if (yych <= 'F') goto yy54;
		goto yy272;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy54;
			goto yy271;
		} else {
			if (yych == 'g') goto yy272;
			goto yy54;
		}
	}
yy167:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych == 'D') goto yy273;
		if (yych <= 'K') goto yy54;
		goto yy274;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy54;
			goto yy273;
		} else {
			if (yych == 'l') goto yy274;
			goto yy54;
		}
	}
yy168:
	yych = *++cur;
	if (yych == 'M') goto yy275;
	if (yych == 'm') goto yy275;
	goto yy54;
yy169:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == 'N') goto yy276;
		if (yych <= 'O') goto yy54;
		goto yy277;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy54;
			goto yy276;
		} else {
			if (yych == 'p') goto yy277;
			goto yy54;
		}
	}
yy170:
	yych = *++cur;
	if (yych == 'L') goto yy278;
	if (yych == 'l') goto yy278;
	goto yy54;
yy171:
	yych = *++cur;
	if (yych == 'L') goto yy279;
	if (yych == 'l') goto yy279;
	goto yy54;
yy172:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'E') goto yy280;
		if (yych <= 'S') goto yy54;
		goto yy281;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy54;
			goto yy280;
		} else {
			if (yych == 't') goto yy281;
			goto yy54;
		}
	}
yy173:
	yych = *++cur;
	if (yych == 'T') goto yy282;
	if (yych == 't') goto yy282;
	goto yy54;
yy174:
	yych = *++cur;
	if (yych <= 'S') {
		if (yych <= 'Q') goto yy54;
		if (yych <= 'R') goto yy284;
		goto yy285;
	} else {
		if (yych <= 'q') goto yy54;
		if (yych <= 'r') goto yy284;
		if (yych <= 's') goto yy285;
		goto yy54;
	}
yy175:
	yych = *++cur;
	if (yych == 'I') goto yy286;
	if (yych == 'i') goto yy286;
	goto yy54;
yy176:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych <= 'H') {
			if (yych == 'E') goto yy287;
			goto yy54;
		} else {
			if (yych <= 'I') goto yy288;
			if (yych <= 'N') goto yy54;
			goto yy289;
		}
	} else {
		if (yych <= 'h') {
			if (yych == 'e') goto yy287;
			goto yy54;
		} else {
			if (yych <= 'i') goto yy288;
			if (yych == 'o') goto yy289;
			goto yy54;
		}
	}
yy177:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'B') goto yy290;
		if (yych <= 'Q') goto yy54;
		goto yy291;
	} else {
		if (yych <= 'b') {
			if (yych <= 'a') goto yy54;
			goto yy290;
		} else {
			if (yych == 'r') goto yy291;
			goto yy54;
		}
	}
yy178:
	yych = *++cur;
	if (yych == 'I') goto yy292;
	if (yych == 'i') goto yy292;
	goto yy54;
yy179:
	yych = *++cur;
	if (yych == 'N') goto yy293;
	if (yych == 'n') goto yy293;
	goto yy54;
yy180:
	yych = *++cur;
	switch (yych) {
	case 'A':
	case 'a':	goto yy294;
	case 'C':
	case 'c':	goto yy295;
	case 'D':
	case 'd':	goto yy296;
	case 'S':
	case 's':	goto yy297;
	case 'T':
	case 't':	goto yy298;
	case 'W':
	case 'w':	goto yy299;
	default:	goto yy54;
	}
yy181:
	yych = *++cur;
	if (yych == 'V') goto yy300;
	if (yych == 'v') goto yy300;
	goto yy54;
yy182:
	yych = *++cur;
	if (yych <= 'Q') {
		if (yych == 'L') goto yy301;
		if (yych <= 'P') goto yy54;
		goto yy302;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy54;
			goto yy301;
		} else {
			if (yych == 'q') goto yy302;
			goto yy54;
		}
	}
yy183:
	yych = *++cur;
	if (yych == 'A') goto yy303;
	if (yych == 'a') goto yy303;
	goto yy54;
yy184:
	yych = *++cur;
	if (yych == 'U') goto yy304;
	if (yych == 'u') goto yy304;
	goto yy54;
yy185:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'A') goto yy305;
		if (yych <= 'N') goto yy54;
		goto yy306;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy305;
		} else {
			if (yych == 'o') goto yy306;
			goto yy54;
		}
	}
yy186:
	yych = *++cur;
	if (yych == 'B') goto yy307;
	if (yych == 'b') goto yy307;
	goto yy54;
yy187:
	yych = *++cur;
	if (yych == 'R') goto yy308;
	if (yych == 'r') goto yy308;
	goto yy54;
yy188:
	yych = *++cur;
	if (yych == 'A') goto yy309;
	if (yych == 'a') goto yy309;
	goto yy54;
yy189:
	yych = *++cur;
	if (yych == 'E') goto yy310;
	if (yych == 'e') goto yy310;
	goto yy54;
yy190:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 217 "tokenizer.re"
	{ KW(TO) }
#line 1632 "tokenizer.cpp"
yy192:
	yych = *++cur;
	if (yych == 'P') goto yy311;
	if (yych == 'p') goto yy311;
	goto yy54;
yy193:
	yych = *++cur;
	if (yych == 'F') goto yy312;
	if (yych == 'f') goto yy312;
	goto yy54;
yy194:
	yych = *++cur;
	if (yych == 'E') goto yy313;
	if (yych == 'e') goto yy313;
	goto yy54;
yy195:
	yych = *++cur;
	if (yych == 'L') goto yy315;
	if (yych == 'l') goto yy315;
	goto yy54;
yy196:
	yych = *++cur;
	if (yych == 'L') goto yy316;
	if (yych == 'l') goto yy316;
	goto yy54;
yy197:
	yych = *++cur;
	if (yych <= 'I') {
		if (yych == 'E') goto yy317;
		if (yych <= 'H') goto yy54;
		goto yy318;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy54;
			goto yy317;
		} else {
			if (yych == 'i') goto yy318;
			goto yy54;
		}
	}
yy198:
	yych = *++cur;
	if (yych == 'I') goto yy319;
	if (yych == 'i') goto yy319;
	goto yy54;
yy199:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy77;
		if (yych <= '9') goto yy320;
		if (yych <= '@') goto yy77;
		goto yy322;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy77;
			goto yy322;
		} else {
			if (yych <= '`') goto yy77;
			if (yych <= 'z') goto yy322;
			goto yy77;
		}
	}
yy200:
	++cur;
#line 313 "tokenizer.re"
	{ token(yylval.string); RET(TK_DEF_OP) }
#line 1699 "tokenizer.cpp"
yy202:
	yych = *++cur;
	if (yych == 'd') goto yy324;
	goto yy101;
yy203:
	yych = *++cur;
	if (yych == '.') goto yy120;
	if (yych == 'v') goto yy325;
	goto yy101;
yy204:
	yych = *++cur;
	if (yych == 'l') goto yy326;
	goto yy101;
yy205:
	yych = *++cur;
	if (yych == '.') goto yy124;
	goto yy101;
yy206:
	yych = *++cur;
	if (yych == '.') goto yy327;
	goto yy101;
yy207:
	yych = *++cur;
	if (yych == '.') goto yy118;
	goto yy101;
yy208:
	yych = *++cur;
	if (yych == '.') goto yy328;
	goto yy101;
yy209:
	yych = *++cur;
	if (yych == '.') goto yy111;
	if (yych == 'q') goto yy329;
	goto yy101;
yy210:
	yych = *++cur;
	if (yych == 't') goto yy330;
	goto yy101;
yy211:
	yych = *++cur;
	if (yych == '.') goto yy331;
	goto yy101;
yy212:
	yych = *++cur;
	if (yych == 'u') goto yy333;
	goto yy101;
yy213:
	yych = *++cur;
yy214:
	if (yych == '.') goto yy334;
	if (yych <= '`') goto yy77;
	if (yych <= 'z') goto yy213;
	goto yy77;
yy215:
	yych = *++cur;
	if (yych <= ',') {
		if (yych != '+') goto yy214;
	} else {
		if (yych <= '-') goto yy216;
		if (yych <= '/') goto yy214;
		if (yych <= '9') goto yy217;
		goto yy214;
	}
yy216:
	yych = *++cur;
	if (yych <= '/') goto yy77;
	if (yych >= ':') goto yy77;
yy217:
	yyaccept = 4;
	yych = *(mar = ++cur);
	if (yych <= '/') goto yy98;
	if (yych <= '9') goto yy217;
	if (yych == '_') goto yy199;
	goto yy98;
yy219:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yych == '.') {
		ctxmar = cur;
		goto yy336;
	}
	if (yych <= '/') goto yy34;
	if (yych <= '9') goto yy219;
	goto yy34;
yy221:
	yyaccept = 1;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 128) {
		goto yy221;
	}
	if (yych == '.') {
		ctxmar = cur;
		goto yy336;
	}
	goto yy34;
yy223:
	yych = *++cur;
	if (yych == 'T') goto yy337;
	if (yych == 't') goto yy337;
	goto yy54;
yy224:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'O') {
		if (yych <= '9') {
			if (yych >= '0') goto yy53;
		} else {
			if (yych <= '@') goto yy225;
			if (yych <= 'N') goto yy53;
			goto yy338;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy53;
			if (yych >= 'a') goto yy53;
		} else {
			if (yych <= 'o') goto yy338;
			if (yych <= 'z') goto yy53;
		}
	}
yy225:
#line 93 "tokenizer.re"
	{ KW(ALL) }
#line 1825 "tokenizer.cpp"
yy226:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'I') goto yy339;
		if (yych <= 'N') goto yy54;
		goto yy340;
	} else {
		if (yych <= 'i') {
			if (yych <= 'h') goto yy54;
			goto yy339;
		} else {
			if (yych == 'o') goto yy340;
			goto yy54;
		}
	}
yy227:
	yych = *++cur;
	if (yych == 'N') goto yy341;
	if (yych == 'n') goto yy341;
	goto yy54;
yy228:
	yych = *++cur;
	if (yych == 'K') goto yy342;
	if (yych == 'k') goto yy342;
	goto yy54;
yy229:
	yych = *++cur;
	if (yych == 'D') goto yy343;
	if (yych == 'd') goto yy343;
	goto yy54;
yy230:
	yych = *++cur;
	if (yych == 'C') goto yy345;
	if (yych == 'c') goto yy345;
	goto yy54;
yy231:
	yych = *++cur;
	if (yych == 'L') goto yy346;
	if (yych == 'l') goto yy346;
	goto yy54;
yy232:
	yych = *++cur;
	if (yych == 'E') goto yy348;
	if (yych == 'e') goto yy348;
	goto yy54;
yy233:
	yych = *++cur;
	if (yych == 'R') goto yy350;
	if (yych == 'r') goto yy350;
	goto yy54;
yy234:
	yych = *++cur;
	if (yych == 'S') goto yy351;
	if (yych == 's') goto yy351;
	goto yy54;
yy235:
	yych = *++cur;
	if (yych == 'S') goto yy352;
	if (yych == 's') goto yy352;
	goto yy54;
yy236:
	yych = *++cur;
	if (yych == 'I') goto yy353;
	if (yych == 'i') goto yy353;
	goto yy54;
yy237:
	yych = *++cur;
	if (yych <= 'P') {
		if (yych == 'M') goto yy354;
		if (yych <= 'O') goto yy54;
		goto yy355;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy54;
			goto yy354;
		} else {
			if (yych == 'p') goto yy355;
			goto yy54;
		}
	}
yy238:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych == 'C') goto yy356;
		if (yych <= 'S') goto yy54;
		goto yy357;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy54;
			goto yy356;
		} else {
			if (yych == 't') goto yy357;
			goto yy54;
		}
	}
yy239:
	yych = *++cur;
	if (yych == 'T') goto yy358;
	if (yych == 't') goto yy358;
	goto yy54;
yy240:
	yych = *++cur;
	if (yych == 'L') goto yy359;
	if (yych == 'l') goto yy359;
	goto yy54;
yy241:
	yych = *++cur;
	if (yych == 'A') goto yy360;
	if (yych == 'a') goto yy360;
	goto yy54;
yy242:
	yych = *++cur;
	if (yych == 'L') goto yy362;
	if (yych == 'l') goto yy362;
	goto yy54;
yy243:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy363;
		if (yych <= 'D') goto yy54;
		goto yy364;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy363;
		} else {
			if (yych == 'e') goto yy364;
			goto yy54;
		}
	}
yy244:
	yych = *++cur;
	if (yych == 'E') goto yy365;
	if (yych == 'e') goto yy365;
	goto yy54;
yy245:
	yych = *++cur;
	if (yych == 'B') goto yy366;
	if (yych == 'b') goto yy366;
	goto yy54;
yy246:
	yych = *++cur;
	if (yych == 'H') goto yy367;
	if (yych == 'h') goto yy367;
	goto yy54;
yy247:
	yych = *++cur;
	if (yych == 'M') goto yy368;
	if (yych == 'm') goto yy368;
	goto yy54;
yy248:
	yych = *++cur;
	if (yych == 'E') goto yy369;
	if (yych == 'e') goto yy369;
	goto yy54;
yy249:
	yyaccept = 6;
	yych = *(mar = ++cur);
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'D') {
		if (yych <= '\r') {
			if (yych <= '\n') {
				if (yych == '\t') goto yy371;
			} else {
				if (yych != '\f') goto yy371;
			}
		} else {
			if (yych <= '/') {
				if (yych == ' ') goto yy371;
			} else {
				if (yych <= '9') goto yy53;
				if (yych <= '@') goto yy250;
				if (yych <= 'C') goto yy53;
				goto yy373;
			}
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'V') {
				if (yych == 'I') goto yy374;
				goto yy53;
			} else {
				if (yych <= 'W') goto yy375;
				if (yych <= 'Z') goto yy53;
				if (yych >= 'a') goto yy53;
			}
		} else {
			if (yych <= 'i') {
				if (yych <= 'd') goto yy373;
				if (yych <= 'h') goto yy53;
				goto yy374;
			} else {
				if (yych == 'w') goto yy375;
				if (yych <= 'z') goto yy53;
			}
		}
	}
yy250:
#line 126 "tokenizer.re"
	{ KW(END) }
#line 2028 "tokenizer.cpp"
yy251:
	yych = *++cur;
	if (yych == 'R') goto yy376;
	if (yych == 'r') goto yy376;
	goto yy54;
yy252:
	yych = *++cur;
	if (yych == 'M') goto yy377;
	if (yych == 'm') goto yy377;
	goto yy54;
yy253:
	yych = *++cur;
	if (yych == 'I') goto yy379;
	if (yych == 'i') goto yy379;
	goto yy54;
yy254:
	yych = *++cur;
	if (yych <= 'O') {
		if (yych == 'M') goto yy380;
		if (yych <= 'N') goto yy54;
		goto yy381;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy54;
			goto yy380;
		} else {
			if (yych == 'o') goto yy381;
			goto yy54;
		}
	}
yy255:
	yych = *++cur;
	if (yych == 'T') goto yy382;
	if (yych == 't') goto yy382;
	goto yy54;
yy256:
	yych = *++cur;
	if (yych == 'E') goto yy384;
	if (yych == 'e') goto yy384;
	goto yy54;
yy257:
	yych = *++cur;
	if (yych == 'E') goto yy385;
	if (yych == 'e') goto yy385;
	goto yy54;
yy258:
	yych = *++cur;
	if (yych == 'A') goto yy387;
	if (yych == 'a') goto yy387;
	goto yy54;
yy259:
	yych = *++cur;
	if (yych == 'S') goto yy388;
	if (yych == 's') goto yy388;
	goto yy54;
yy260:
	yych = *++cur;
	if (yych <= 'M') {
		if (yych == 'A') goto yy389;
		if (yych <= 'L') goto yy54;
		goto yy390;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy389;
		} else {
			if (yych == 'm') goto yy390;
			goto yy54;
		}
	}
yy261:
	yych = *++cur;
	if (yych == 'C') goto yy391;
	if (yych == 'c') goto yy391;
	goto yy54;
yy262:
	yych = *++cur;
	if (yych == 'E') goto yy392;
	if (yych == 'e') goto yy392;
	goto yy54;
yy263:
	yych = *++cur;
	if (yych <= 'U') {
		if (yych <= 'N') {
			if (yych == 'L') goto yy393;
			goto yy54;
		} else {
			if (yych <= 'O') goto yy394;
			if (yych <= 'T') goto yy54;
			goto yy395;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'l') goto yy393;
			goto yy54;
		} else {
			if (yych <= 'o') goto yy394;
			if (yych == 'u') goto yy395;
			goto yy54;
		}
	}
yy264:
	yych = *++cur;
	if (yych == 'L') goto yy396;
	if (yych == 'l') goto yy396;
	goto yy54;
yy265:
	yych = *++cur;
	if (yych == 'U') goto yy397;
	if (yych == 'u') goto yy397;
	goto yy54;
yy266:
	yych = *++cur;
	if (yych == 'U') goto yy398;
	if (yych == 'u') goto yy398;
	goto yy54;
yy267:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'E') goto yy399;
		if (yych <= 'Q') goto yy54;
		goto yy400;
	} else {
		if (yych <= 'e') {
			if (yych <= 'd') goto yy54;
			goto yy399;
		} else {
			if (yych == 'r') goto yy400;
			goto yy54;
		}
	}
yy268:
	yych = *++cur;
	if (yych == 'D') goto yy401;
	if (yych == 'd') goto yy401;
	goto yy54;
yy269:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 165 "tokenizer.re"
	{ KW(LEN) }
#line 2173 "tokenizer.cpp"
yy271:
	yych = *++cur;
	if (yych == 'A') goto yy403;
	if (yych == 'a') goto yy403;
	goto yy54;
yy272:
	yych = *++cur;
	if (yych == 'I') goto yy404;
	if (yych == 'i') goto yy404;
	goto yy54;
yy273:
	yych = *++cur;
	if (yych == 'U') goto yy405;
	if (yych == 'u') goto yy405;
	goto yy54;
yy274:
	yych = *++cur;
	if (yych == 'D') goto yy406;
	if (yych == 'd') goto yy406;
	goto yy54;
yy275:
	yych = *++cur;
	if (yych == 'E') goto yy408;
	if (yych == 'e') goto yy408;
	goto yy54;
yy276:
	yych = *++cur;
	if (yych <= '^') {
		if (yych == 'E') goto yy410;
		goto yy54;
	} else {
		if (yych <= '_') goto yy412;
		if (yych == 'e') goto yy410;
		goto yy54;
	}
yy277:
	yych = *++cur;
	if (yych == 'A') goto yy413;
	if (yych == 'a') goto yy413;
	goto yy54;
yy278:
	yych = *++cur;
	if (yych == 'L') goto yy414;
	if (yych == 'l') goto yy414;
	goto yy54;
yy279:
	yych = *++cur;
	if (yych == 'Y') goto yy415;
	if (yych == 'y') goto yy415;
	goto yy54;
yy280:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'N') goto yy417;
		if (yych <= 'Q') goto yy54;
		goto yy419;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy54;
			goto yy417;
		} else {
			if (yych == 'r') goto yy419;
			goto yy54;
		}
	}
yy281:
	yych = *++cur;
	if (yych == 'I') goto yy420;
	if (yych == 'i') goto yy420;
	goto yy54;
yy282:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 183 "tokenizer.re"
	{ KW(OUT) }
#line 2252 "tokenizer.cpp"
yy284:
	yych = *++cur;
	if (yych == 'A') goto yy421;
	if (yych == 'a') goto yy421;
	goto yy54;
yy285:
	yych = *++cur;
	if (yych == 'S') goto yy422;
	if (yych == 's') goto yy422;
	goto yy54;
yy286:
	yych = *++cur;
	if (yych == 'N') goto yy424;
	if (yych == 'n') goto yy424;
	goto yy54;
yy287:
	yych = *++cur;
	if (yych == 'C') goto yy425;
	if (yych == 'c') goto yy425;
	goto yy54;
yy288:
	yych = *++cur;
	if (yych <= 'V') {
		if (yych == 'N') goto yy426;
		if (yych <= 'U') goto yy54;
		goto yy427;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy54;
			goto yy426;
		} else {
			if (yych == 'v') goto yy427;
			goto yy54;
		}
	}
yy289:
	yych = *++cur;
	if (yych <= 'T') {
		if (yych <= 'F') {
			if (yych == 'C') goto yy428;
			goto yy54;
		} else {
			if (yych <= 'G') goto yy429;
			if (yych <= 'S') goto yy54;
			goto yy430;
		}
	} else {
		if (yych <= 'f') {
			if (yych == 'c') goto yy428;
			goto yy54;
		} else {
			if (yych <= 'g') goto yy429;
			if (yych == 't') goto yy430;
			goto yy54;
		}
	}
yy290:
	yych = *++cur;
	if (yych == 'L') goto yy431;
	if (yych == 'l') goto yy431;
	goto yy54;
yy291:
	yych = *++cur;
	if (yych == 'E') goto yy432;
	if (yych == 'e') goto yy432;
	goto yy54;
yy292:
	yych = *++cur;
	if (yych == 'E') goto yy434;
	if (yych == 'e') goto yy434;
	goto yy54;
yy293:
	yych = *++cur;
	if (yych == 'K') goto yy435;
	if (yych == 'k') goto yy435;
	goto yy54;
yy294:
	yych = *++cur;
	if (yych <= 'L') {
		if (yych == 'D') goto yy437;
		if (yych <= 'K') goto yy54;
		goto yy439;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy54;
			goto yy437;
		} else {
			if (yych == 'l') goto yy439;
			goto yy54;
		}
	}
yy295:
	yych = *++cur;
	if (yych == 'U') goto yy441;
	if (yych == 'u') goto yy441;
	goto yy54;
yy296:
	yych = *++cur;
	if (yych == 'U') goto yy442;
	if (yych == 'u') goto yy442;
	goto yy54;
yy297:
	yych = *++cur;
	if (yych == 'U') goto yy443;
	if (yych == 'u') goto yy443;
	goto yy54;
yy298:
	yych = *++cur;
	if (yych == 'U') goto yy444;
	if (yych == 'u') goto yy444;
	goto yy54;
yy299:
	yych = *++cur;
	if (yych == 'I') goto yy445;
	if (yych == 'i') goto yy445;
	goto yy54;
yy300:
	yych = *++cur;
	if (yych == 'E') goto yy446;
	if (yych == 'e') goto yy446;
	goto yy54;
yy301:
	yych = *++cur;
	if (yych == 'E') goto yy448;
	if (yych == 'e') goto yy448;
	goto yy54;
yy302:
	yych = *++cur;
	if (yych == 'U') goto yy449;
	if (yych == 'u') goto yy449;
	goto yy54;
yy303:
	yych = *++cur;
	if (yych == 'R') goto yy450;
	if (yych == 'r') goto yy450;
	goto yy54;
yy304:
	yych = *++cur;
	if (yych == 'R') goto yy451;
	if (yych == 'r') goto yy451;
	goto yy54;
yy305:
	yych = *++cur;
	if (yych == 'T') goto yy452;
	if (yych == 't') goto yy452;
	goto yy54;
yy306:
	yych = *++cur;
	if (yych == 'P') goto yy454;
	if (yych == 'p') goto yy454;
	goto yy54;
yy307:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'M') goto yy456;
		if (yych <= 'Q') goto yy54;
		goto yy457;
	} else {
		if (yych <= 'm') {
			if (yych <= 'l') goto yy54;
			goto yy456;
		} else {
			if (yych == 'r') goto yy457;
			goto yy54;
		}
	}
yy308:
	yych = *++cur;
	if (yych == 'G') goto yy458;
	if (yych == 'g') goto yy458;
	goto yy54;
yy309:
	yych = *++cur;
	if (yych == 'M') goto yy459;
	if (yych == 'm') goto yy459;
	goto yy54;
yy310:
	yych = *++cur;
	if (yych == 'N') goto yy461;
	if (yych == 'n') goto yy461;
	goto yy54;
yy311:
	yych = *++cur;
	if (yych == 'E') goto yy463;
	if (yych == 'e') goto yy463;
	goto yy54;
yy312:
	yych = *++cur;
	if (yych == 'O') goto yy465;
	if (yych == 'o') goto yy465;
	goto yy54;
yy313:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 220 "tokenizer.re"
	{ KW(USE) }
#line 2452 "tokenizer.cpp"
yy315:
	yych = *++cur;
	if (yych == 'U') goto yy466;
	if (yych == 'u') goto yy466;
	goto yy54;
yy316:
	yych = *++cur;
	if (yych == 'A') goto yy467;
	if (yych == 'a') goto yy467;
	goto yy54;
yy317:
	yych = *++cur;
	if (yych == 'R') goto yy468;
	if (yych == 'r') goto yy468;
	goto yy54;
yy318:
	yych = *++cur;
	if (yych == 'L') goto yy469;
	if (yych == 'l') goto yy469;
	goto yy54;
yy319:
	yych = *++cur;
	if (yych == 'T') goto yy470;
	if (yych == 't') goto yy470;
	goto yy54;
yy320:
	yych = *++cur;
	if (yych <= '/') goto yy98;
	if (yych <= '9') goto yy320;
	goto yy98;
yy322:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy98;
		if (yych <= '9') goto yy322;
		if (yych <= '@') goto yy98;
		goto yy322;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy98;
			goto yy322;
		} else {
			if (yych <= '`') goto yy98;
			if (yych <= 'z') goto yy322;
			goto yy98;
		}
	}
yy324:
	yych = *++cur;
	if (yych == '.') goto yy471;
	goto yy101;
yy325:
	yych = *++cur;
	if (yych == '.') goto yy473;
	goto yy101;
yy326:
	yych = *++cur;
	if (yych == 's') goto yy475;
	goto yy101;
yy327:
	++cur;
	goto yy44;
yy328:
	++cur;
	goto yy40;
yy329:
	yych = *++cur;
	if (yych == 'v') goto yy476;
	goto yy101;
yy330:
	yych = *++cur;
	if (yych == '.') goto yy477;
	goto yy101;
yy331:
	++cur;
#line 267 "tokenizer.re"
	{ RET(TK_OR) }
#line 2530 "tokenizer.cpp"
yy333:
	yych = *++cur;
	if (yych == 'e') goto yy479;
	goto yy101;
yy334:
	++cur;
	cur = ctxmar;
#line 281 "tokenizer.re"
	{
                if (lex_dec(tok, cur, u)) {
                    yylval.n = u;
                    RET(TK_INTEGER)
                } else {
                    token_loc(loc);
                    std::string t = token();
                    throw LFortran::TokenizerError("Integer too large",
                        loc, t);
                }
            }
#line 2550 "tokenizer.cpp"
yy336:
	yych = *++cur;
	if (yych <= '`') goto yy77;
	if (yych <= 'z') goto yy213;
	goto yy77;
yy337:
	yych = *++cur;
	if (yych == 'R') goto yy480;
	if (yych == 'r') goto yy480;
	goto yy54;
yy338:
	yych = *++cur;
	if (yych == 'C') goto yy481;
	if (yych == 'c') goto yy481;
	goto yy54;
yy339:
	yych = *++cur;
	if (yych == 'G') goto yy482;
	if (yych == 'g') goto yy482;
	goto yy54;
yy340:
	yych = *++cur;
	if (yych == 'C') goto yy483;
	if (yych == 'c') goto yy483;
	goto yy54;
yy341:
	yych = *++cur;
	if (yych == 'C') goto yy484;
	if (yych == 'c') goto yy484;
	goto yy54;
yy342:
	yych = *++cur;
	if (yych == 'S') goto yy485;
	if (yych == 's') goto yy485;
	goto yy54;
yy343:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 100 "tokenizer.re"
	{ KW(BIND) }
#line 2594 "tokenizer.cpp"
yy345:
	yych = *++cur;
	if (yych == 'K') goto yy486;
	if (yych == 'k') goto yy486;
	goto yy54;
yy346:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 102 "tokenizer.re"
	{ KW(CALL) }
#line 2608 "tokenizer.cpp"
yy348:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 103 "tokenizer.re"
	{ KW(CASE) }
#line 2617 "tokenizer.cpp"
yy350:
	yych = *++cur;
	if (yych == 'A') goto yy488;
	if (yych == 'a') goto yy488;
	goto yy54;
yy351:
	yych = *++cur;
	if (yych == 'S') goto yy489;
	if (yych == 's') goto yy489;
	goto yy54;
yy352:
	yych = *++cur;
	if (yych == 'E') goto yy491;
	if (yych == 'e') goto yy491;
	goto yy54;
yy353:
	yych = *++cur;
	if (yych == 'M') goto yy493;
	if (yych == 'm') goto yy493;
	goto yy54;
yy354:
	yych = *++cur;
	if (yych == 'O') goto yy494;
	if (yych == 'o') goto yy494;
	goto yy54;
yy355:
	yych = *++cur;
	if (yych == 'L') goto yy495;
	if (yych == 'l') goto yy495;
	goto yy54;
yy356:
	yych = *++cur;
	if (yych == 'U') goto yy496;
	if (yych == 'u') goto yy496;
	goto yy54;
yy357:
	yych = *++cur;
	if (yych <= 'I') {
		if (yych == 'A') goto yy497;
		if (yych <= 'H') goto yy54;
		goto yy498;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy497;
		} else {
			if (yych == 'i') goto yy498;
			goto yy54;
		}
	}
yy358:
	yych = *++cur;
	if (yych == 'I') goto yy499;
	if (yych == 'i') goto yy499;
	goto yy54;
yy359:
	yych = *++cur;
	if (yych == 'E') goto yy500;
	if (yych == 'e') goto yy500;
	goto yy54;
yy360:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 116 "tokenizer.re"
	{ KW(DATA) }
#line 2686 "tokenizer.cpp"
yy362:
	yych = *++cur;
	if (yych == 'L') goto yy502;
	if (yych == 'l') goto yy502;
	goto yy54;
yy363:
	yych = *++cur;
	if (yych == 'U') goto yy503;
	if (yych == 'u') goto yy503;
	goto yy54;
yy364:
	yych = *++cur;
	if (yych == 'R') goto yy504;
	if (yych == 'r') goto yy504;
	goto yy54;
yy365:
	yych = *++cur;
	if (yych == 'N') goto yy505;
	if (yych == 'n') goto yy505;
	goto yy54;
yy366:
	yych = *++cur;
	if (yych == 'L') goto yy506;
	if (yych == 'l') goto yy506;
	goto yy54;
yy367:
	yych = *++cur;
	if (yych == 'I') goto yy507;
	if (yych == 'i') goto yy507;
	goto yy54;
yy368:
	yych = *++cur;
	if (yych == 'E') goto yy508;
	if (yych == 'e') goto yy508;
	goto yy54;
yy369:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 125 "tokenizer.re"
	{ KW(ELSE) }
#line 2730 "tokenizer.cpp"
yy371:
	yych = *++cur;
	if (yych <= 'D') {
		if (yych <= '\f') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy77;
				goto yy371;
			} else {
				if (yych == '\v') goto yy371;
				goto yy77;
			}
		} else {
			if (yych <= 0x1F) {
				if (yych <= '\r') goto yy371;
				goto yy77;
			} else {
				if (yych <= ' ') goto yy371;
				if (yych <= 'C') goto yy77;
				goto yy509;
			}
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'I') {
				if (yych <= 'H') goto yy77;
				goto yy510;
			} else {
				if (yych == 'W') goto yy511;
				goto yy77;
			}
		} else {
			if (yych <= 'i') {
				if (yych <= 'd') goto yy509;
				if (yych <= 'h') goto yy77;
				goto yy510;
			} else {
				if (yych == 'w') goto yy511;
				goto yy77;
			}
		}
	}
yy373:
	yych = *++cur;
	if (yych == 'O') goto yy512;
	if (yych == 'o') goto yy512;
	goto yy54;
yy374:
	yych = *++cur;
	if (yych == 'F') goto yy514;
	if (yych == 'f') goto yy514;
	goto yy54;
yy375:
	yych = *++cur;
	if (yych == 'H') goto yy516;
	if (yych == 'h') goto yy516;
	goto yy54;
yy376:
	yych = *++cur;
	if (yych == 'Y') goto yy517;
	if (yych == 'y') goto yy517;
	goto yy54;
yy377:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'E') {
		if (yych <= '9') {
			if (yych >= '0') goto yy53;
		} else {
			if (yych <= '@') goto yy378;
			if (yych <= 'D') goto yy53;
			goto yy519;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy53;
			if (yych >= 'a') goto yy53;
		} else {
			if (yych <= 'e') goto yy519;
			if (yych <= 'z') goto yy53;
		}
	}
yy378:
#line 134 "tokenizer.re"
	{ KW(ENUM) }
#line 2817 "tokenizer.cpp"
yy379:
	yych = *++cur;
	if (yych == 'V') goto yy520;
	if (yych == 'v') goto yy520;
	goto yy54;
yy380:
	yych = *++cur;
	if (yych == 'S') goto yy521;
	if (yych == 's') goto yy521;
	goto yy54;
yy381:
	yych = *++cur;
	if (yych == 'R') goto yy522;
	if (yych == 'r') goto yy522;
	goto yy54;
yy382:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 139 "tokenizer.re"
	{ KW(EXIT) }
#line 2841 "tokenizer.cpp"
yy384:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych == 'N') goto yy524;
		if (yych <= 'Q') goto yy54;
		goto yy525;
	} else {
		if (yych <= 'n') {
			if (yych <= 'm') goto yy54;
			goto yy524;
		} else {
			if (yych == 'r') goto yy525;
			goto yy54;
		}
	}
yy385:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 142 "tokenizer.re"
	{ KW(FILE) }
#line 2865 "tokenizer.cpp"
yy387:
	yych = *++cur;
	if (yych == 'L') goto yy526;
	if (yych == 'l') goto yy526;
	goto yy54;
yy388:
	yych = *++cur;
	if (yych == 'H') goto yy528;
	if (yych == 'h') goto yy528;
	goto yy54;
yy389:
	yych = *++cur;
	if (yych == 'L') goto yy530;
	if (yych == 'l') goto yy530;
	goto yy54;
yy390:
	yych = *++cur;
	if (yych == 'A') goto yy531;
	if (yych == 'a') goto yy531;
	goto yy54;
yy391:
	yych = *++cur;
	if (yych == 'T') goto yy532;
	if (yych == 't') goto yy532;
	goto yy54;
yy392:
	yych = *++cur;
	if (yych == 'R') goto yy533;
	if (yych == 'r') goto yy533;
	goto yy54;
yy393:
	yych = *++cur;
	if (yych == 'I') goto yy534;
	if (yych == 'i') goto yy534;
	goto yy54;
yy394:
	yych = *++cur;
	if (yych == 'R') goto yy535;
	if (yych == 'r') goto yy535;
	goto yy54;
yy395:
	yych = *++cur;
	if (yych == 'R') goto yy536;
	if (yych == 'r') goto yy536;
	goto yy54;
yy396:
	yych = *++cur;
	if (yych == 'U') goto yy537;
	if (yych == 'u') goto yy537;
	goto yy54;
yy397:
	yych = *++cur;
	if (yych == 'T') goto yy538;
	if (yych == 't') goto yy538;
	goto yy54;
yy398:
	yych = *++cur;
	if (yych == 'I') goto yy540;
	if (yych == 'i') goto yy540;
	goto yy54;
yy399:
	yych = *++cur;
	if (yych <= 'R') {
		if (yych <= 'M') {
			if (yych == 'G') goto yy541;
			goto yy54;
		} else {
			if (yych <= 'N') goto yy542;
			if (yych <= 'Q') goto yy54;
			goto yy543;
		}
	} else {
		if (yych <= 'm') {
			if (yych == 'g') goto yy541;
			goto yy54;
		} else {
			if (yych <= 'n') goto yy542;
			if (yych == 'r') goto yy543;
			goto yy54;
		}
	}
yy400:
	yych = *++cur;
	if (yych == 'I') goto yy544;
	if (yych == 'i') goto yy544;
	goto yy54;
yy401:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 164 "tokenizer.re"
	{ KW(KIND) }
#line 2960 "tokenizer.cpp"
yy403:
	yych = *++cur;
	if (yych == 'L') goto yy545;
	if (yych == 'l') goto yy545;
	goto yy54;
yy404:
	yych = *++cur;
	if (yych == 'C') goto yy547;
	if (yych == 'c') goto yy547;
	goto yy54;
yy405:
	yych = *++cur;
	if (yych == 'L') goto yy548;
	if (yych == 'l') goto yy548;
	goto yy54;
yy406:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 170 "tokenizer.re"
	{ KW(MOLD) }
#line 2984 "tokenizer.cpp"
yy408:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'L') {
		if (yych <= '9') {
			if (yych >= '0') goto yy53;
		} else {
			if (yych <= '@') goto yy409;
			if (yych <= 'K') goto yy53;
			goto yy549;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'Z') goto yy53;
			if (yych >= 'a') goto yy53;
		} else {
			if (yych <= 'l') goto yy549;
			if (yych <= 'z') goto yy53;
		}
	}
yy409:
#line 171 "tokenizer.re"
	{ KW(NAME) }
#line 3010 "tokenizer.cpp"
yy410:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 177 "tokenizer.re"
	{ KW(NONE) }
#line 3019 "tokenizer.cpp"
yy412:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych <= 'O') {
		if (yych <= '\'') {
			if (yych == '"') goto yy80;
			if (yych <= '&') goto yy54;
			goto yy88;
		} else {
			if (yych == 'I') goto yy550;
			if (yych <= 'N') goto yy54;
			goto yy551;
		}
	} else {
		if (yych <= 'i') {
			if (yych == 'R') goto yy552;
			if (yych <= 'h') goto yy54;
			goto yy550;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy54;
				goto yy551;
			} else {
				if (yych == 'r') goto yy552;
				goto yy54;
			}
		}
	}
yy413:
	yych = *++cur;
	if (yych == 'S') goto yy553;
	if (yych == 's') goto yy553;
	goto yy54;
yy414:
	yych = *++cur;
	if (yych == 'I') goto yy554;
	if (yych == 'i') goto yy554;
	goto yy54;
yy415:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 179 "tokenizer.re"
	{ KW(ONLY) }
#line 3066 "tokenizer.cpp"
yy417:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 180 "tokenizer.re"
	{ KW(OPEN) }
#line 3075 "tokenizer.cpp"
yy419:
	yych = *++cur;
	if (yych == 'A') goto yy555;
	if (yych == 'a') goto yy555;
	goto yy54;
yy420:
	yych = *++cur;
	if (yych == 'O') goto yy556;
	if (yych == 'o') goto yy556;
	goto yy54;
yy421:
	yych = *++cur;
	if (yych == 'M') goto yy557;
	if (yych == 'm') goto yy557;
	goto yy54;
yy422:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 185 "tokenizer.re"
	{ KW(PASS) }
#line 3099 "tokenizer.cpp"
yy424:
	yych = *++cur;
	if (yych == 'T') goto yy558;
	if (yych == 't') goto yy558;
	goto yy54;
yy425:
	yych = *++cur;
	if (yych == 'I') goto yy559;
	if (yych == 'i') goto yy559;
	goto yy54;
yy426:
	yych = *++cur;
	if (yych == 'T') goto yy560;
	if (yych == 't') goto yy560;
	goto yy54;
yy427:
	yych = *++cur;
	if (yych == 'A') goto yy562;
	if (yych == 'a') goto yy562;
	goto yy54;
yy428:
	yych = *++cur;
	if (yych == 'E') goto yy563;
	if (yych == 'e') goto yy563;
	goto yy54;
yy429:
	yych = *++cur;
	if (yych == 'R') goto yy564;
	if (yych == 'r') goto yy564;
	goto yy54;
yy430:
	yych = *++cur;
	if (yych == 'E') goto yy565;
	if (yych == 'e') goto yy565;
	goto yy54;
yy431:
	yych = *++cur;
	if (yych == 'I') goto yy566;
	if (yych == 'i') goto yy566;
	goto yy54;
yy432:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 194 "tokenizer.re"
	{ KW(PURE) }
#line 3148 "tokenizer.cpp"
yy434:
	yych = *++cur;
	if (yych == 'T') goto yy567;
	if (yych == 't') goto yy567;
	goto yy54;
yy435:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 196 "tokenizer.re"
	{ KW(RANK) }
#line 3162 "tokenizer.cpp"
yy437:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 197 "tokenizer.re"
	{ KW(READ) }
#line 3171 "tokenizer.cpp"
yy439:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 198 "tokenizer.re"
	{KW(REAL) }
#line 3180 "tokenizer.cpp"
yy441:
	yych = *++cur;
	if (yych == 'R') goto yy569;
	if (yych == 'r') goto yy569;
	goto yy54;
yy442:
	yych = *++cur;
	if (yych == 'C') goto yy570;
	if (yych == 'c') goto yy570;
	goto yy54;
yy443:
	yych = *++cur;
	if (yych == 'L') goto yy571;
	if (yych == 'l') goto yy571;
	goto yy54;
yy444:
	yych = *++cur;
	if (yych == 'R') goto yy572;
	if (yych == 'r') goto yy572;
	goto yy54;
yy445:
	yych = *++cur;
	if (yych == 'N') goto yy573;
	if (yych == 'n') goto yy573;
	goto yy54;
yy446:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 204 "tokenizer.re"
	{ KW(SAVE) }
#line 3214 "tokenizer.cpp"
yy448:
	yych = *++cur;
	if (yych == 'C') goto yy574;
	if (yych == 'c') goto yy574;
	goto yy54;
yy449:
	yych = *++cur;
	if (yych == 'E') goto yy575;
	if (yych == 'e') goto yy575;
	goto yy54;
yy450:
	yych = *++cur;
	if (yych == 'E') goto yy576;
	if (yych == 'e') goto yy576;
	goto yy54;
yy451:
	yych = *++cur;
	if (yych == 'C') goto yy577;
	if (yych == 'c') goto yy577;
	goto yy54;
yy452:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 209 "tokenizer.re"
	{ KW(STAT) }
#line 3243 "tokenizer.cpp"
yy454:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 210 "tokenizer.re"
	{ KW(STOP) }
#line 3252 "tokenizer.cpp"
yy456:
	yych = *++cur;
	if (yych == 'O') goto yy578;
	if (yych == 'o') goto yy578;
	goto yy54;
yy457:
	yych = *++cur;
	if (yych == 'O') goto yy579;
	if (yych == 'o') goto yy579;
	goto yy54;
yy458:
	yych = *++cur;
	if (yych == 'E') goto yy580;
	if (yych == 'e') goto yy580;
	goto yy54;
yy459:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy581;
#line 214 "tokenizer.re"
	{ KW(TEAM) }
#line 3276 "tokenizer.cpp"
yy461:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 216 "tokenizer.re"
	{ KW(THEN) }
#line 3285 "tokenizer.cpp"
yy463:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 218 "tokenizer.re"
	{ KW(TYPE) }
#line 3294 "tokenizer.cpp"
yy465:
	yych = *++cur;
	if (yych == 'R') goto yy582;
	if (yych == 'r') goto yy582;
	goto yy54;
yy466:
	yych = *++cur;
	if (yych == 'E') goto yy583;
	if (yych == 'e') goto yy583;
	goto yy54;
yy467:
	yych = *++cur;
	if (yych == 'T') goto yy585;
	if (yych == 't') goto yy585;
	goto yy54;
yy468:
	yych = *++cur;
	if (yych == 'E') goto yy586;
	if (yych == 'e') goto yy586;
	goto yy54;
yy469:
	yych = *++cur;
	if (yych == 'E') goto yy588;
	if (yych == 'e') goto yy588;
	goto yy54;
yy470:
	yych = *++cur;
	if (yych == 'E') goto yy590;
	if (yych == 'e') goto yy590;
	goto yy54;
yy471:
	++cur;
#line 266 "tokenizer.re"
	{ RET(TK_AND) }
#line 3329 "tokenizer.cpp"
yy473:
	++cur;
#line 268 "tokenizer.re"
	{ RET(TK_EQV) }
#line 3334 "tokenizer.cpp"
yy475:
	yych = *++cur;
	if (yych == 'e') goto yy592;
	goto yy101;
yy476:
	yych = *++cur;
	if (yych == '.') goto yy593;
	goto yy101;
yy477:
	++cur;
#line 265 "tokenizer.re"
	{ RET(TK_NOT) }
#line 3347 "tokenizer.cpp"
yy479:
	yych = *++cur;
	if (yych == '.') goto yy595;
	goto yy101;
yy480:
	yych = *++cur;
	if (yych == 'A') goto yy597;
	if (yych == 'a') goto yy597;
	goto yy54;
yy481:
	yych = *++cur;
	if (yych == 'A') goto yy598;
	if (yych == 'a') goto yy598;
	goto yy54;
yy482:
	yych = *++cur;
	if (yych == 'N') goto yy599;
	if (yych == 'n') goto yy599;
	goto yy54;
yy483:
	yych = *++cur;
	if (yych == 'I') goto yy600;
	if (yych == 'i') goto yy600;
	goto yy54;
yy484:
	yych = *++cur;
	if (yych == 'H') goto yy601;
	if (yych == 'h') goto yy601;
	goto yy54;
yy485:
	yych = *++cur;
	if (yych == 'P') goto yy602;
	if (yych == 'p') goto yy602;
	goto yy54;
yy486:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 101 "tokenizer.re"
	{ KW(BLOCK) }
#line 3390 "tokenizer.cpp"
yy488:
	yych = *++cur;
	if (yych == 'C') goto yy603;
	if (yych == 'c') goto yy603;
	goto yy54;
yy489:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 105 "tokenizer.re"
	{ KW(CLASS) }
#line 3404 "tokenizer.cpp"
yy491:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 106 "tokenizer.re"
	{ KW(CLOSE) }
#line 3413 "tokenizer.cpp"
yy493:
	yych = *++cur;
	if (yych == 'E') goto yy604;
	if (yych == 'e') goto yy604;
	goto yy54;
yy494:
	yych = *++cur;
	if (yych == 'N') goto yy605;
	if (yych == 'n') goto yy605;
	goto yy54;
yy495:
	yych = *++cur;
	if (yych == 'E') goto yy607;
	if (yych == 'e') goto yy607;
	goto yy54;
yy496:
	yych = *++cur;
	if (yych == 'R') goto yy608;
	if (yych == 'r') goto yy608;
	goto yy54;
yy497:
	yych = *++cur;
	if (yych == 'I') goto yy609;
	if (yych == 'i') goto yy609;
	goto yy54;
yy498:
	yych = *++cur;
	if (yych <= 'N') {
		if (yych == 'G') goto yy610;
		if (yych <= 'M') goto yy54;
		goto yy611;
	} else {
		if (yych <= 'g') {
			if (yych <= 'f') goto yy54;
			goto yy610;
		} else {
			if (yych == 'n') goto yy611;
			goto yy54;
		}
	}
yy499:
	yych = *++cur;
	if (yych == 'C') goto yy612;
	if (yych == 'c') goto yy612;
	goto yy54;
yy500:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 115 "tokenizer.re"
	{ KW(CYCLE) }
#line 3467 "tokenizer.cpp"
yy502:
	yych = *++cur;
	if (yych == 'O') goto yy613;
	if (yych == 'o') goto yy613;
	goto yy54;
yy503:
	yych = *++cur;
	if (yych == 'L') goto yy614;
	if (yych == 'l') goto yy614;
	goto yy54;
yy504:
	yych = *++cur;
	if (yych == 'R') goto yy615;
	if (yych == 'r') goto yy615;
	goto yy54;
yy505:
	yych = *++cur;
	if (yych == 'S') goto yy616;
	if (yych == 's') goto yy616;
	goto yy54;
yy506:
	yych = *++cur;
	if (yych == 'E') goto yy617;
	if (yych == 'e') goto yy617;
	goto yy54;
yy507:
	yych = *++cur;
	if (yych == 'L') goto yy619;
	if (yych == 'l') goto yy619;
	goto yy54;
yy508:
	yych = *++cur;
	if (yych == 'N') goto yy620;
	if (yych == 'n') goto yy620;
	goto yy54;
yy509:
	yych = *++cur;
	if (yych == 'O') goto yy621;
	if (yych == 'o') goto yy621;
	goto yy77;
yy510:
	yych = *++cur;
	if (yych == 'F') goto yy623;
	if (yych == 'f') goto yy623;
	goto yy77;
yy511:
	yych = *++cur;
	if (yych == 'H') goto yy625;
	if (yych == 'h') goto yy625;
	goto yy77;
yy512:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 130 "tokenizer.re"
	{ KW(ENDDO) }
#line 3526 "tokenizer.cpp"
yy514:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 128 "tokenizer.re"
	{ KW(ENDIF) }
#line 3535 "tokenizer.cpp"
yy516:
	yych = *++cur;
	if (yych == 'E') goto yy626;
	if (yych == 'e') goto yy626;
	goto yy54;
yy517:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 133 "tokenizer.re"
	{ KW(ENTRY) }
#line 3549 "tokenizer.cpp"
yy519:
	yych = *++cur;
	if (yych == 'R') goto yy627;
	if (yych == 'r') goto yy627;
	goto yy54;
yy520:
	yych = *++cur;
	if (yych == 'A') goto yy628;
	if (yych == 'a') goto yy628;
	goto yy54;
yy521:
	yych = *++cur;
	if (yych == 'G') goto yy629;
	if (yych == 'g') goto yy629;
	goto yy54;
yy522:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 138 "tokenizer.re"
	{ KW(ERROR) }
#line 3573 "tokenizer.cpp"
yy524:
	yych = *++cur;
	if (yych == 'D') goto yy631;
	if (yych == 'd') goto yy631;
	goto yy54;
yy525:
	yych = *++cur;
	if (yych == 'N') goto yy632;
	if (yych == 'n') goto yy632;
	goto yy54;
yy526:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 143 "tokenizer.re"
	{ KW(FINAL) }
#line 3592 "tokenizer.cpp"
yy528:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 144 "tokenizer.re"
	{ KW(FLUSH) }
#line 3601 "tokenizer.cpp"
yy530:
	yych = *++cur;
	if (yych == 'L') goto yy633;
	if (yych == 'l') goto yy633;
	goto yy54;
yy531:
	yych = *++cur;
	if (yych == 'T') goto yy635;
	if (yych == 't') goto yy635;
	goto yy54;
yy532:
	yych = *++cur;
	if (yych == 'I') goto yy637;
	if (yych == 'i') goto yy637;
	goto yy54;
yy533:
	yych = *++cur;
	if (yych == 'I') goto yy638;
	if (yych == 'i') goto yy638;
	goto yy54;
yy534:
	yych = *++cur;
	if (yych == 'C') goto yy639;
	if (yych == 'c') goto yy639;
	goto yy54;
yy535:
	yych = *++cur;
	if (yych == 'T') goto yy640;
	if (yych == 't') goto yy640;
	goto yy54;
yy536:
	yych = *++cur;
	if (yych == 'E') goto yy642;
	if (yych == 'e') goto yy642;
	goto yy54;
yy537:
	yych = *++cur;
	if (yych == 'D') goto yy644;
	if (yych == 'd') goto yy644;
	goto yy54;
yy538:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 157 "tokenizer.re"
	{ KW(INOUT) }
#line 3650 "tokenizer.cpp"
yy540:
	yych = *++cur;
	if (yych == 'R') goto yy645;
	if (yych == 'r') goto yy645;
	goto yy54;
yy541:
	yych = *++cur;
	if (yych == 'E') goto yy646;
	if (yych == 'e') goto yy646;
	goto yy54;
yy542:
	yych = *++cur;
	if (yych == 'T') goto yy647;
	if (yych == 't') goto yy647;
	goto yy54;
yy543:
	yych = *++cur;
	if (yych == 'F') goto yy649;
	if (yych == 'f') goto yy649;
	goto yy54;
yy544:
	yych = *++cur;
	if (yych == 'N') goto yy650;
	if (yych == 'n') goto yy650;
	goto yy54;
yy545:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy651;
#line 166 "tokenizer.re"
	{ KW(LOCAL) }
#line 3684 "tokenizer.cpp"
yy547:
	yych = *++cur;
	if (yych == 'A') goto yy652;
	if (yych == 'a') goto yy652;
	goto yy54;
yy548:
	yych = *++cur;
	if (yych == 'E') goto yy653;
	if (yych == 'e') goto yy653;
	goto yy54;
yy549:
	yych = *++cur;
	if (yych == 'I') goto yy655;
	if (yych == 'i') goto yy655;
	goto yy54;
yy550:
	yych = *++cur;
	if (yych == 'N') goto yy656;
	if (yych == 'n') goto yy656;
	goto yy54;
yy551:
	yych = *++cur;
	if (yych == 'V') goto yy657;
	if (yych == 'v') goto yy657;
	goto yy54;
yy552:
	yych = *++cur;
	if (yych == 'E') goto yy658;
	if (yych == 'e') goto yy658;
	goto yy54;
yy553:
	yych = *++cur;
	if (yych == 'S') goto yy659;
	if (yych == 's') goto yy659;
	goto yy54;
yy554:
	yych = *++cur;
	if (yych == 'F') goto yy661;
	if (yych == 'f') goto yy661;
	goto yy54;
yy555:
	yych = *++cur;
	if (yych == 'T') goto yy662;
	if (yych == 't') goto yy662;
	goto yy54;
yy556:
	yych = *++cur;
	if (yych == 'N') goto yy663;
	if (yych == 'n') goto yy663;
	goto yy54;
yy557:
	yych = *++cur;
	if (yych == 'E') goto yy664;
	if (yych == 'e') goto yy664;
	goto yy54;
yy558:
	yych = *++cur;
	if (yych == 'E') goto yy665;
	if (yych == 'e') goto yy665;
	goto yy54;
yy559:
	yych = *++cur;
	if (yych == 'S') goto yy666;
	if (yych == 's') goto yy666;
	goto yy54;
yy560:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 188 "tokenizer.re"
	{ KW(PRINT) }
#line 3758 "tokenizer.cpp"
yy562:
	yych = *++cur;
	if (yych == 'T') goto yy667;
	if (yych == 't') goto yy667;
	goto yy54;
yy563:
	yych = *++cur;
	if (yych == 'D') goto yy668;
	if (yych == 'd') goto yy668;
	goto yy54;
yy564:
	yych = *++cur;
	if (yych == 'A') goto yy669;
	if (yych == 'a') goto yy669;
	goto yy54;
yy565:
	yych = *++cur;
	if (yych == 'C') goto yy670;
	if (yych == 'c') goto yy670;
	goto yy54;
yy566:
	yych = *++cur;
	if (yych == 'C') goto yy671;
	if (yych == 'c') goto yy671;
	goto yy54;
yy567:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 195 "tokenizer.re"
	{ KW(QUIET) }
#line 3792 "tokenizer.cpp"
yy569:
	yych = *++cur;
	if (yych == 'S') goto yy673;
	if (yych == 's') goto yy673;
	goto yy54;
yy570:
	yych = *++cur;
	if (yych == 'E') goto yy674;
	if (yych == 'e') goto yy674;
	goto yy54;
yy571:
	yych = *++cur;
	if (yych == 'T') goto yy676;
	if (yych == 't') goto yy676;
	goto yy54;
yy572:
	yych = *++cur;
	if (yych == 'N') goto yy678;
	if (yych == 'n') goto yy678;
	goto yy54;
yy573:
	yych = *++cur;
	if (yych == 'D') goto yy680;
	if (yych == 'd') goto yy680;
	goto yy54;
yy574:
	yych = *++cur;
	if (yych == 'T') goto yy682;
	if (yych == 't') goto yy682;
	goto yy54;
yy575:
	yych = *++cur;
	if (yych == 'N') goto yy684;
	if (yych == 'n') goto yy684;
	goto yy54;
yy576:
	yych = *++cur;
	if (yych == 'D') goto yy685;
	if (yych == 'd') goto yy685;
	goto yy54;
yy577:
	yych = *++cur;
	if (yych == 'E') goto yy687;
	if (yych == 'e') goto yy687;
	goto yy54;
yy578:
	yych = *++cur;
	if (yych == 'D') goto yy689;
	if (yych == 'd') goto yy689;
	goto yy54;
yy579:
	yych = *++cur;
	if (yych == 'U') goto yy690;
	if (yych == 'u') goto yy690;
	goto yy54;
yy580:
	yych = *++cur;
	if (yych == 'T') goto yy691;
	if (yych == 't') goto yy691;
	goto yy54;
yy581:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych <= '\'') {
		if (yych == '"') goto yy80;
		if (yych <= '&') goto yy54;
		goto yy88;
	} else {
		if (yych <= 'N') {
			if (yych <= 'M') goto yy54;
			goto yy693;
		} else {
			if (yych == 'n') goto yy693;
			goto yy54;
		}
	}
yy582:
	yych = *++cur;
	if (yych == 'M') goto yy694;
	if (yych == 'm') goto yy694;
	goto yy54;
yy583:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 221 "tokenizer.re"
	{ KW(VALUE) }
#line 3882 "tokenizer.cpp"
yy585:
	yych = *++cur;
	if (yych == 'I') goto yy695;
	if (yych == 'i') goto yy695;
	goto yy54;
yy586:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 223 "tokenizer.re"
	{ KW(WHERE) }
#line 3896 "tokenizer.cpp"
yy588:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 224 "tokenizer.re"
	{ KW(WHILE) }
#line 3905 "tokenizer.cpp"
yy590:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 225 "tokenizer.re"
	{ KW(WRITE) }
#line 3914 "tokenizer.cpp"
yy592:
	yych = *++cur;
	if (yych == '.') goto yy696;
	goto yy101;
yy593:
	++cur;
#line 269 "tokenizer.re"
	{ RET(TK_NEQV) }
#line 3923 "tokenizer.cpp"
yy595:
	yyaccept = 7;
	yych = *(mar = ++cur);
	if (yych == '_') goto yy698;
yy596:
#line 273 "tokenizer.re"
	{ RET(TK_TRUE) }
#line 3931 "tokenizer.cpp"
yy597:
	yych = *++cur;
	if (yych == 'C') goto yy699;
	if (yych == 'c') goto yy699;
	goto yy54;
yy598:
	yych = *++cur;
	if (yych == 'T') goto yy700;
	if (yych == 't') goto yy700;
	goto yy54;
yy599:
	yych = *++cur;
	if (yych == 'M') goto yy701;
	if (yych == 'm') goto yy701;
	goto yy54;
yy600:
	yych = *++cur;
	if (yych == 'A') goto yy702;
	if (yych == 'a') goto yy702;
	goto yy54;
yy601:
	yych = *++cur;
	if (yych == 'R') goto yy703;
	if (yych == 'r') goto yy703;
	goto yy54;
yy602:
	yych = *++cur;
	if (yych == 'A') goto yy704;
	if (yych == 'a') goto yy704;
	goto yy54;
yy603:
	yych = *++cur;
	if (yych == 'T') goto yy705;
	if (yych == 't') goto yy705;
	goto yy54;
yy604:
	yych = *++cur;
	if (yych == 'N') goto yy706;
	if (yych == 'n') goto yy706;
	goto yy54;
yy605:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 108 "tokenizer.re"
	{ KW(COMMON) }
#line 3980 "tokenizer.cpp"
yy607:
	yych = *++cur;
	if (yych == 'X') goto yy707;
	if (yych == 'x') goto yy707;
	goto yy54;
yy608:
	yych = *++cur;
	if (yych == 'R') goto yy709;
	if (yych == 'r') goto yy709;
	goto yy54;
yy609:
	yych = *++cur;
	if (yych == 'N') goto yy710;
	if (yych == 'n') goto yy710;
	goto yy54;
yy610:
	yych = *++cur;
	if (yych == 'U') goto yy711;
	if (yych == 'u') goto yy711;
	goto yy54;
yy611:
	yych = *++cur;
	if (yych == 'U') goto yy712;
	if (yych == 'u') goto yy712;
	goto yy54;
yy612:
	yych = *++cur;
	if (yych == 'A') goto yy713;
	if (yych == 'a') goto yy713;
	goto yy54;
yy613:
	yych = *++cur;
	if (yych == 'C') goto yy714;
	if (yych == 'c') goto yy714;
	goto yy54;
yy614:
	yych = *++cur;
	if (yych == 'T') goto yy715;
	if (yych == 't') goto yy715;
	goto yy54;
yy615:
	yych = *++cur;
	if (yych == 'E') goto yy717;
	if (yych == 'e') goto yy717;
	goto yy54;
yy616:
	yych = *++cur;
	if (yych == 'I') goto yy718;
	if (yych == 'i') goto yy718;
	goto yy54;
yy617:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 123 "tokenizer.re"
	{ KW(DOUBLE) }
#line 4039 "tokenizer.cpp"
yy619:
	yych = *++cur;
	if (yych == 'E') goto yy719;
	if (yych == 'e') goto yy719;
	goto yy54;
yy620:
	yych = *++cur;
	if (yych == 'T') goto yy721;
	if (yych == 't') goto yy721;
	goto yy54;
yy621:
	++cur;
#line 129 "tokenizer.re"
	{ KW(END_DO) }
#line 4054 "tokenizer.cpp"
yy623:
	++cur;
#line 127 "tokenizer.re"
	{ KW(END_IF) }
#line 4059 "tokenizer.cpp"
yy625:
	yych = *++cur;
	if (yych == 'E') goto yy722;
	if (yych == 'e') goto yy722;
	goto yy77;
yy626:
	yych = *++cur;
	if (yych == 'R') goto yy723;
	if (yych == 'r') goto yy723;
	goto yy54;
yy627:
	yych = *++cur;
	if (yych == 'A') goto yy724;
	if (yych == 'a') goto yy724;
	goto yy54;
yy628:
	yych = *++cur;
	if (yych == 'L') goto yy725;
	if (yych == 'l') goto yy725;
	goto yy54;
yy629:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 137 "tokenizer.re"
	{ KW(ERRMSG) }
#line 4088 "tokenizer.cpp"
yy631:
	yych = *++cur;
	if (yych == 'S') goto yy726;
	if (yych == 's') goto yy726;
	goto yy54;
yy632:
	yych = *++cur;
	if (yych == 'A') goto yy728;
	if (yych == 'a') goto yy728;
	goto yy54;
yy633:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 145 "tokenizer.re"
	{ KW(FORALL) }
#line 4107 "tokenizer.cpp"
yy635:
	yych = *++cur;
	if (yybm[0+yych] & 64) {
		goto yy129;
	}
	if (yych <= 'T') {
		if (yych <= '9') {
			if (yych >= '0') goto yy53;
		} else {
			if (yych <= '@') goto yy636;
			if (yych <= 'S') goto yy53;
			goto yy729;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy53;
			if (yych >= 'a') goto yy53;
		} else {
			if (yych <= 't') goto yy729;
			if (yych <= 'z') goto yy53;
		}
	}
yy636:
#line 146 "tokenizer.re"
	{ KW(FORMAT) }
#line 4133 "tokenizer.cpp"
yy637:
	yych = *++cur;
	if (yych == 'O') goto yy730;
	if (yych == 'o') goto yy730;
	goto yy54;
yy638:
	yych = *++cur;
	if (yych == 'C') goto yy731;
	if (yych == 'c') goto yy731;
	goto yy54;
yy639:
	yych = *++cur;
	if (yych == 'I') goto yy733;
	if (yych == 'i') goto yy733;
	goto yy54;
yy640:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 153 "tokenizer.re"
	{ KW(IMPORT) }
#line 4157 "tokenizer.cpp"
yy642:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 154 "tokenizer.re"
	{ KW(IMPURE) }
#line 4166 "tokenizer.cpp"
yy644:
	yych = *++cur;
	if (yych == 'E') goto yy734;
	if (yych == 'e') goto yy734;
	goto yy54;
yy645:
	yych = *++cur;
	if (yych == 'E') goto yy736;
	if (yych == 'e') goto yy736;
	goto yy54;
yy646:
	yych = *++cur;
	if (yych == 'R') goto yy738;
	if (yych == 'r') goto yy738;
	goto yy54;
yy647:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 160 "tokenizer.re"
	{ KW(INTENT) }
#line 4190 "tokenizer.cpp"
yy649:
	yych = *++cur;
	if (yych == 'A') goto yy740;
	if (yych == 'a') goto yy740;
	goto yy54;
yy650:
	yych = *++cur;
	if (yych == 'S') goto yy741;
	if (yych == 's') goto yy741;
	goto yy54;
yy651:
	yyaccept = 5;
	yych = *(mar = ++cur);
	if (yych <= '\'') {
		if (yych == '"') goto yy80;
		if (yych <= '&') goto yy54;
		goto yy88;
	} else {
		if (yych <= 'I') {
			if (yych <= 'H') goto yy54;
			goto yy742;
		} else {
			if (yych == 'i') goto yy742;
			goto yy54;
		}
	}
yy652:
	yych = *++cur;
	if (yych == 'L') goto yy743;
	if (yych == 'l') goto yy743;
	goto yy54;
yy653:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 169 "tokenizer.re"
	{ KW(MODULE) }
#line 4230 "tokenizer.cpp"
yy655:
	yych = *++cur;
	if (yych == 'S') goto yy745;
	if (yych == 's') goto yy745;
	goto yy54;
yy656:
	yych = *++cur;
	if (yych == 'T') goto yy746;
	if (yych == 't') goto yy746;
	goto yy54;
yy657:
	yych = *++cur;
	if (yych == 'E') goto yy747;
	if (yych == 'e') goto yy747;
	goto yy54;
yy658:
	yych = *++cur;
	if (yych == 'C') goto yy748;
	if (yych == 'c') goto yy748;
	goto yy54;
yy659:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 173 "tokenizer.re"
	{ KW(NOPASS) }
#line 4259 "tokenizer.cpp"
yy661:
	yych = *++cur;
	if (yych == 'Y') goto yy749;
	if (yych == 'y') goto yy749;
	goto yy54;
yy662:
	yych = *++cur;
	if (yych == 'O') goto yy751;
	if (yych == 'o') goto yy751;
	goto yy54;
yy663:
	yych = *++cur;
	if (yych == 'A') goto yy752;
	if (yych == 'a') goto yy752;
	goto yy54;
yy664:
	yych = *++cur;
	if (yych == 'T') goto yy753;
	if (yych == 't') goto yy753;
	goto yy54;
yy665:
	yych = *++cur;
	if (yych == 'R') goto yy754;
	if (yych == 'r') goto yy754;
	goto yy54;
yy666:
	yych = *++cur;
	if (yych == 'I') goto yy756;
	if (yych == 'i') goto yy756;
	goto yy54;
yy667:
	yych = *++cur;
	if (yych == 'E') goto yy757;
	if (yych == 'e') goto yy757;
	goto yy54;
yy668:
	yych = *++cur;
	if (yych == 'U') goto yy759;
	if (yych == 'u') goto yy759;
	goto yy54;
yy669:
	yych = *++cur;
	if (yych == 'M') goto yy760;
	if (yych == 'm') goto yy760;
	goto yy54;
yy670:
	yych = *++cur;
	if (yych == 'T') goto yy762;
	if (yych == 't') goto yy762;
	goto yy54;
yy671:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 193 "tokenizer.re"
	{ KW(PUBLIC) }
#line 4318 "tokenizer.cpp"
yy673:
	yych = *++cur;
	if (yych == 'I') goto yy763;
	if (yych == 'i') goto yy763;
	goto yy54;
yy674:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 200 "tokenizer.re"
	{ KW(REDUCE) }
#line 4332 "tokenizer.cpp"
yy676:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 201 "tokenizer.re"
	{ KW(RESULT) }
#line 4341 "tokenizer.cpp"
yy678:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 202 "tokenizer.re"
	{ KW(RETURN) }
#line 4350 "tokenizer.cpp"
yy680:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 203 "tokenizer.re"
	{ KW(REWIND) }
#line 4359 "tokenizer.cpp"
yy682:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 205 "tokenizer.re"
	{ KW(SELECT) }
#line 4368 "tokenizer.cpp"
yy684:
	yych = *++cur;
	if (yych == 'C') goto yy764;
	if (yych == 'c') goto yy764;
	goto yy54;
yy685:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 207 "tokenizer.re"
	{ KW(SHARED) }
#line 4382 "tokenizer.cpp"
yy687:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 208 "tokenizer.re"
	{ KW(SOURCE) }
#line 4391 "tokenizer.cpp"
yy689:
	yych = *++cur;
	if (yych == 'U') goto yy765;
	if (yych == 'u') goto yy765;
	goto yy54;
yy690:
	yych = *++cur;
	if (yych == 'T') goto yy766;
	if (yych == 't') goto yy766;
	goto yy54;
yy691:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 213 "tokenizer.re"
	{ KW(TARGET) }
#line 4410 "tokenizer.cpp"
yy693:
	yych = *++cur;
	if (yych == 'U') goto yy767;
	if (yych == 'u') goto yy767;
	goto yy54;
yy694:
	yych = *++cur;
	if (yych == 'A') goto yy768;
	if (yych == 'a') goto yy768;
	goto yy54;
yy695:
	yych = *++cur;
	if (yych == 'L') goto yy769;
	if (yych == 'l') goto yy769;
	goto yy54;
yy696:
	yyaccept = 8;
	yych = *(mar = ++cur);
	if (yych == '_') goto yy770;
yy697:
#line 274 "tokenizer.re"
	{ RET(TK_FALSE) }
#line 4433 "tokenizer.cpp"
yy698:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy77;
		if (yych <= '9') goto yy771;
		if (yych <= '@') goto yy77;
		goto yy773;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy77;
			goto yy773;
		} else {
			if (yych <= '`') goto yy77;
			if (yych <= 'z') goto yy773;
			goto yy77;
		}
	}
yy699:
	yych = *++cur;
	if (yych == 'T') goto yy775;
	if (yych == 't') goto yy775;
	goto yy54;
yy700:
	yych = *++cur;
	if (yych <= 'E') {
		if (yych == 'A') goto yy777;
		if (yych <= 'D') goto yy54;
		goto yy778;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy54;
			goto yy777;
		} else {
			if (yych == 'e') goto yy778;
			goto yy54;
		}
	}
yy701:
	yych = *++cur;
	if (yych == 'E') goto yy780;
	if (yych == 'e') goto yy780;
	goto yy54;
yy702:
	yych = *++cur;
	if (yych == 'T') goto yy781;
	if (yych == 't') goto yy781;
	goto yy54;
yy703:
	yych = *++cur;
	if (yych == 'O') goto yy782;
	if (yych == 'o') goto yy782;
	goto yy54;
yy704:
	yych = *++cur;
	if (yych == 'C') goto yy783;
	if (yych == 'c') goto yy783;
	goto yy54;
yy705:
	yych = *++cur;
	if (yych == 'E') goto yy784;
	if (yych == 'e') goto yy784;
	goto yy54;
yy706:
	yych = *++cur;
	if (yych == 'S') goto yy785;
	if (yych == 's') goto yy785;
	goto yy54;
yy707:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 109 "tokenizer.re"
	{ KW(COMPLEX) }
#line 4509 "tokenizer.cpp"
yy709:
	yych = *++cur;
	if (yych == 'E') goto yy786;
	if (yych == 'e') goto yy786;
	goto yy54;
yy710:
	yych = *++cur;
	if (yych == 'S') goto yy787;
	if (yych == 's') goto yy787;
	goto yy54;
yy711:
	yych = *++cur;
	if (yych == 'O') goto yy789;
	if (yych == 'o') goto yy789;
	goto yy54;
yy712:
	yych = *++cur;
	if (yych == 'E') goto yy790;
	if (yych == 'e') goto yy790;
	goto yy54;
yy713:
	yych = *++cur;
	if (yych == 'L') goto yy792;
	if (yych == 'l') goto yy792;
	goto yy54;
yy714:
	yych = *++cur;
	if (yych == 'A') goto yy794;
	if (yych == 'a') goto yy794;
	goto yy54;
yy715:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 118 "tokenizer.re"
	{ KW(DEFAULT) }
#line 4548 "tokenizer.cpp"
yy717:
	yych = *++cur;
	if (yych == 'D') goto yy795;
	if (yych == 'd') goto yy795;
	goto yy54;
yy718:
	yych = *++cur;
	if (yych == 'O') goto yy797;
	if (yych == 'o') goto yy797;
	goto yy54;
yy719:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 122 "tokenizer.re"
	{ KW(DOWHILE) }
#line 4567 "tokenizer.cpp"
yy721:
	yych = *++cur;
	if (yych == 'A') goto yy798;
	if (yych == 'a') goto yy798;
	goto yy54;
yy722:
	yych = *++cur;
	if (yych == 'R') goto yy799;
	if (yych == 'r') goto yy799;
	goto yy77;
yy723:
	yych = *++cur;
	if (yych == 'E') goto yy800;
	if (yych == 'e') goto yy800;
	goto yy54;
yy724:
	yych = *++cur;
	if (yych == 'T') goto yy802;
	if (yych == 't') goto yy802;
	goto yy54;
yy725:
	yych = *++cur;
	if (yych == 'E') goto yy803;
	if (yych == 'e') goto yy803;
	goto yy54;
yy726:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 140 "tokenizer.re"
	{ KW(EXTENDS) }
#line 4601 "tokenizer.cpp"
yy728:
	yych = *++cur;
	if (yych == 'L') goto yy804;
	if (yych == 'l') goto yy804;
	goto yy54;
yy729:
	yych = *++cur;
	if (yych == 'E') goto yy806;
	if (yych == 'e') goto yy806;
	goto yy54;
yy730:
	yych = *++cur;
	if (yych == 'N') goto yy807;
	if (yych == 'n') goto yy807;
	goto yy54;
yy731:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 149 "tokenizer.re"
	{ KW(GENERIC) }
#line 4625 "tokenizer.cpp"
yy733:
	yych = *++cur;
	if (yych == 'T') goto yy809;
	if (yych == 't') goto yy809;
	goto yy54;
yy734:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 156 "tokenizer.re"
	{ KW(INCLUDE) }
#line 4639 "tokenizer.cpp"
yy736:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 158 "tokenizer.re"
	{ KW(INQUIRE) }
#line 4648 "tokenizer.cpp"
yy738:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 159 "tokenizer.re"
	{ KW(INTEGER) }
#line 4657 "tokenizer.cpp"
yy740:
	yych = *++cur;
	if (yych == 'C') goto yy811;
	if (yych == 'c') goto yy811;
	goto yy54;
yy741:
	yych = *++cur;
	if (yych == 'I') goto yy812;
	if (yych == 'i') goto yy812;
	goto yy54;
yy742:
	yych = *++cur;
	if (yych == 'N') goto yy813;
	if (yych == 'n') goto yy813;
	goto yy54;
yy743:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 168 "tokenizer.re"
	{ KW(LOGICAL) }
#line 4681 "tokenizer.cpp"
yy745:
	yych = *++cur;
	if (yych == 'T') goto yy814;
	if (yych == 't') goto yy814;
	goto yy54;
yy746:
	yych = *++cur;
	if (yych == 'R') goto yy816;
	if (yych == 'r') goto yy816;
	goto yy54;
yy747:
	yych = *++cur;
	if (yych == 'R') goto yy817;
	if (yych == 'r') goto yy817;
	goto yy54;
yy748:
	yych = *++cur;
	if (yych == 'U') goto yy818;
	if (yych == 'u') goto yy818;
	goto yy54;
yy749:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 178 "tokenizer.re"
	{ KW(NULLIFY) }
#line 4710 "tokenizer.cpp"
yy751:
	yych = *++cur;
	if (yych == 'R') goto yy819;
	if (yych == 'r') goto yy819;
	goto yy54;
yy752:
	yych = *++cur;
	if (yych == 'L') goto yy821;
	if (yych == 'l') goto yy821;
	goto yy54;
yy753:
	yych = *++cur;
	if (yych == 'E') goto yy823;
	if (yych == 'e') goto yy823;
	goto yy54;
yy754:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 186 "tokenizer.re"
	{ KW(POINTER) }
#line 4734 "tokenizer.cpp"
yy756:
	yych = *++cur;
	if (yych == 'O') goto yy824;
	if (yych == 'o') goto yy824;
	goto yy54;
yy757:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 189 "tokenizer.re"
	{ KW(PRIVATE) }
#line 4748 "tokenizer.cpp"
yy759:
	yych = *++cur;
	if (yych == 'R') goto yy825;
	if (yych == 'r') goto yy825;
	goto yy54;
yy760:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 191 "tokenizer.re"
	{ KW(PROGRAM) }
#line 4762 "tokenizer.cpp"
yy762:
	yych = *++cur;
	if (yych == 'E') goto yy826;
	if (yych == 'e') goto yy826;
	goto yy54;
yy763:
	yych = *++cur;
	if (yych == 'V') goto yy827;
	if (yych == 'v') goto yy827;
	goto yy54;
yy764:
	yych = *++cur;
	if (yych == 'E') goto yy828;
	if (yych == 'e') goto yy828;
	goto yy54;
yy765:
	yych = *++cur;
	if (yych == 'L') goto yy830;
	if (yych == 'l') goto yy830;
	goto yy54;
yy766:
	yych = *++cur;
	if (yych == 'I') goto yy831;
	if (yych == 'i') goto yy831;
	goto yy54;
yy767:
	yych = *++cur;
	if (yych == 'M') goto yy832;
	if (yych == 'm') goto yy832;
	goto yy54;
yy768:
	yych = *++cur;
	if (yych == 'T') goto yy833;
	if (yych == 't') goto yy833;
	goto yy54;
yy769:
	yych = *++cur;
	if (yych == 'E') goto yy834;
	if (yych == 'e') goto yy834;
	goto yy54;
yy770:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy77;
		if (yych <= '9') goto yy836;
		if (yych <= '@') goto yy77;
		goto yy838;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy77;
			goto yy838;
		} else {
			if (yych <= '`') goto yy77;
			if (yych <= 'z') goto yy838;
			goto yy77;
		}
	}
yy771:
	yych = *++cur;
	if (yych <= '/') goto yy596;
	if (yych <= '9') goto yy771;
	goto yy596;
yy773:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy596;
		if (yych <= '9') goto yy773;
		if (yych <= '@') goto yy596;
		goto yy773;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy596;
			goto yy773;
		} else {
			if (yych <= '`') goto yy596;
			if (yych <= 'z') goto yy773;
			goto yy596;
		}
	}
yy775:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 92 "tokenizer.re"
	{ KW(ABSTRACT) }
#line 4850 "tokenizer.cpp"
yy777:
	yych = *++cur;
	if (yych == 'B') goto yy840;
	if (yych == 'b') goto yy840;
	goto yy54;
yy778:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 95 "tokenizer.re"
	{ KW(ALLOCATE) }
#line 4864 "tokenizer.cpp"
yy780:
	yych = *++cur;
	if (yych == 'N') goto yy841;
	if (yych == 'n') goto yy841;
	goto yy54;
yy781:
	yych = *++cur;
	if (yych == 'E') goto yy842;
	if (yych == 'e') goto yy842;
	goto yy54;
yy782:
	yych = *++cur;
	if (yych == 'N') goto yy844;
	if (yych == 'n') goto yy844;
	goto yy54;
yy783:
	yych = *++cur;
	if (yych == 'E') goto yy845;
	if (yych == 'e') goto yy845;
	goto yy54;
yy784:
	yych = *++cur;
	if (yych == 'R') goto yy847;
	if (yych == 'r') goto yy847;
	goto yy54;
yy785:
	yych = *++cur;
	if (yych == 'I') goto yy849;
	if (yych == 'i') goto yy849;
	goto yy54;
yy786:
	yych = *++cur;
	if (yych == 'N') goto yy850;
	if (yych == 'n') goto yy850;
	goto yy54;
yy787:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 111 "tokenizer.re"
	{ KW(CONTAINS) }
#line 4908 "tokenizer.cpp"
yy789:
	yych = *++cur;
	if (yych == 'U') goto yy851;
	if (yych == 'u') goto yy851;
	goto yy54;
yy790:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 113 "tokenizer.re"
	{ KW(CONTINUE) }
#line 4922 "tokenizer.cpp"
yy792:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 114 "tokenizer.re"
	{ KW(CRITICAL) }
#line 4931 "tokenizer.cpp"
yy794:
	yych = *++cur;
	if (yych == 'T') goto yy852;
	if (yych == 't') goto yy852;
	goto yy54;
yy795:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 119 "tokenizer.re"
	{ KW(DEFERRED) }
#line 4945 "tokenizer.cpp"
yy797:
	yych = *++cur;
	if (yych == 'N') goto yy853;
	if (yych == 'n') goto yy853;
	goto yy54;
yy798:
	yych = *++cur;
	if (yych == 'L') goto yy855;
	if (yych == 'l') goto yy855;
	goto yy54;
yy799:
	yych = *++cur;
	if (yych == 'E') goto yy857;
	if (yych == 'e') goto yy857;
	goto yy77;
yy800:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 132 "tokenizer.re"
	{ KW(ENDWHERE) }
#line 4969 "tokenizer.cpp"
yy802:
	yych = *++cur;
	if (yych == 'O') goto yy859;
	if (yych == 'o') goto yy859;
	goto yy54;
yy803:
	yych = *++cur;
	if (yych == 'N') goto yy860;
	if (yych == 'n') goto yy860;
	goto yy54;
yy804:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 141 "tokenizer.re"
	{ KW(EXTERNAL) }
#line 4988 "tokenizer.cpp"
yy806:
	yych = *++cur;
	if (yych == 'D') goto yy861;
	if (yych == 'd') goto yy861;
	goto yy54;
yy807:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 148 "tokenizer.re"
	{ KW(FUNCTION) }
#line 5002 "tokenizer.cpp"
yy809:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 152 "tokenizer.re"
	{ KW(IMPLICIT) }
#line 5011 "tokenizer.cpp"
yy811:
	yych = *++cur;
	if (yych == 'E') goto yy863;
	if (yych == 'e') goto yy863;
	goto yy54;
yy812:
	yych = *++cur;
	if (yych == 'C') goto yy865;
	if (yych == 'c') goto yy865;
	goto yy54;
yy813:
	yych = *++cur;
	if (yych == 'I') goto yy867;
	if (yych == 'i') goto yy867;
	goto yy54;
yy814:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 172 "tokenizer.re"
	{ KW(NAMELIST) }
#line 5035 "tokenizer.cpp"
yy816:
	yych = *++cur;
	if (yych == 'I') goto yy868;
	if (yych == 'i') goto yy868;
	goto yy54;
yy817:
	yych = *++cur;
	if (yych == 'R') goto yy869;
	if (yych == 'r') goto yy869;
	goto yy54;
yy818:
	yych = *++cur;
	if (yych == 'R') goto yy870;
	if (yych == 'r') goto yy870;
	goto yy54;
yy819:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 181 "tokenizer.re"
	{ KW(OPERATOR) }
#line 5059 "tokenizer.cpp"
yy821:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 182 "tokenizer.re"
	{ KW(OPTIONAL) }
#line 5068 "tokenizer.cpp"
yy823:
	yych = *++cur;
	if (yych == 'R') goto yy871;
	if (yych == 'r') goto yy871;
	goto yy54;
yy824:
	yych = *++cur;
	if (yych == 'N') goto yy873;
	if (yych == 'n') goto yy873;
	goto yy54;
yy825:
	yych = *++cur;
	if (yych == 'E') goto yy875;
	if (yych == 'e') goto yy875;
	goto yy54;
yy826:
	yych = *++cur;
	if (yych == 'D') goto yy877;
	if (yych == 'd') goto yy877;
	goto yy54;
yy827:
	yych = *++cur;
	if (yych == 'E') goto yy879;
	if (yych == 'e') goto yy879;
	goto yy54;
yy828:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 206 "tokenizer.re"
	{ KW(SEQUENCE) }
#line 5102 "tokenizer.cpp"
yy830:
	yych = *++cur;
	if (yych == 'E') goto yy881;
	if (yych == 'e') goto yy881;
	goto yy54;
yy831:
	yych = *++cur;
	if (yych == 'N') goto yy883;
	if (yych == 'n') goto yy883;
	goto yy54;
yy832:
	yych = *++cur;
	if (yych == 'B') goto yy884;
	if (yych == 'b') goto yy884;
	goto yy54;
yy833:
	yych = *++cur;
	if (yych == 'T') goto yy885;
	if (yych == 't') goto yy885;
	goto yy54;
yy834:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 222 "tokenizer.re"
	{ KW(VOLATILE) }
#line 5131 "tokenizer.cpp"
yy836:
	yych = *++cur;
	if (yych <= '/') goto yy697;
	if (yych <= '9') goto yy836;
	goto yy697;
yy838:
	yych = *++cur;
	if (yych <= 'Z') {
		if (yych <= '/') goto yy697;
		if (yych <= '9') goto yy838;
		if (yych <= '@') goto yy697;
		goto yy838;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy697;
			goto yy838;
		} else {
			if (yych <= '`') goto yy697;
			if (yych <= 'z') goto yy838;
			goto yy697;
		}
	}
yy840:
	yych = *++cur;
	if (yych == 'L') goto yy886;
	if (yych == 'l') goto yy886;
	goto yy54;
yy841:
	yych = *++cur;
	if (yych == 'T') goto yy887;
	if (yych == 't') goto yy887;
	goto yy54;
yy842:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 97 "tokenizer.re"
	{ KW(ASSOCIATE) }
#line 5172 "tokenizer.cpp"
yy844:
	yych = *++cur;
	if (yych == 'O') goto yy889;
	if (yych == 'o') goto yy889;
	goto yy54;
yy845:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 99 "tokenizer.re"
	{ KW(BACKSPACE) }
#line 5186 "tokenizer.cpp"
yy847:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 104 "tokenizer.re"
	{ KW(CHARACTER) }
#line 5195 "tokenizer.cpp"
yy849:
	yych = *++cur;
	if (yych == 'O') goto yy890;
	if (yych == 'o') goto yy890;
	goto yy54;
yy850:
	yych = *++cur;
	if (yych == 'T') goto yy891;
	if (yych == 't') goto yy891;
	goto yy54;
yy851:
	yych = *++cur;
	if (yych == 'S') goto yy893;
	if (yych == 's') goto yy893;
	goto yy54;
yy852:
	yych = *++cur;
	if (yych == 'E') goto yy895;
	if (yych == 'e') goto yy895;
	goto yy54;
yy853:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 120 "tokenizer.re"
	{ KW(DIMENSION) }
#line 5224 "tokenizer.cpp"
yy855:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 124 "tokenizer.re"
	{ KW(ELEMENTAL) }
#line 5233 "tokenizer.cpp"
yy857:
	++cur;
#line 131 "tokenizer.re"
	{ KW(END_WHERE) }
#line 5238 "tokenizer.cpp"
yy859:
	yych = *++cur;
	if (yych == 'R') goto yy897;
	if (yych == 'r') goto yy897;
	goto yy54;
yy860:
	yych = *++cur;
	if (yych == 'C') goto yy899;
	if (yych == 'c') goto yy899;
	goto yy54;
yy861:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 147 "tokenizer.re"
	{ KW(FORMATTED) }
#line 5257 "tokenizer.cpp"
yy863:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 161 "tokenizer.re"
	{ KW(INTERFACE) }
#line 5266 "tokenizer.cpp"
yy865:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 162 "tokenizer.re"
	{ KW(INTRINSIC) }
#line 5275 "tokenizer.cpp"
yy867:
	yych = *++cur;
	if (yych == 'T') goto yy900;
	if (yych == 't') goto yy900;
	goto yy54;
yy868:
	yych = *++cur;
	if (yych == 'N') goto yy902;
	if (yych == 'n') goto yy902;
	goto yy54;
yy869:
	yych = *++cur;
	if (yych == 'I') goto yy903;
	if (yych == 'i') goto yy903;
	goto yy54;
yy870:
	yych = *++cur;
	if (yych == 'S') goto yy904;
	if (yych == 's') goto yy904;
	goto yy54;
yy871:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 184 "tokenizer.re"
	{ KW(PARAMETER) }
#line 5304 "tokenizer.cpp"
yy873:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 187 "tokenizer.re"
	{ KW(PRECISION) }
#line 5313 "tokenizer.cpp"
yy875:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 190 "tokenizer.re"
	{ KW(PROCEDURE) }
#line 5322 "tokenizer.cpp"
yy877:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 192 "tokenizer.re"
	{ KW(PROTECTED) }
#line 5331 "tokenizer.cpp"
yy879:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 199 "tokenizer.re"
	{ KW(RECURSIVE) }
#line 5340 "tokenizer.cpp"
yy881:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 211 "tokenizer.re"
	{ KW(SUBMODULE) }
#line 5349 "tokenizer.cpp"
yy883:
	yych = *++cur;
	if (yych == 'E') goto yy905;
	if (yych == 'e') goto yy905;
	goto yy54;
yy884:
	yych = *++cur;
	if (yych == 'E') goto yy907;
	if (yych == 'e') goto yy907;
	goto yy54;
yy885:
	yych = *++cur;
	if (yych == 'E') goto yy908;
	if (yych == 'e') goto yy908;
	goto yy54;
yy886:
	yych = *++cur;
	if (yych == 'E') goto yy909;
	if (yych == 'e') goto yy909;
	goto yy54;
yy887:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 96 "tokenizer.re"
	{ KW(ASSIGNMENT) }
#line 5378 "tokenizer.cpp"
yy889:
	yych = *++cur;
	if (yych == 'U') goto yy911;
	if (yych == 'u') goto yy911;
	goto yy54;
yy890:
	yych = *++cur;
	if (yych == 'N') goto yy912;
	if (yych == 'n') goto yy912;
	goto yy54;
yy891:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 110 "tokenizer.re"
	{ KW(CONCURRENT) }
#line 5397 "tokenizer.cpp"
yy893:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 112 "tokenizer.re"
	{ KW(CONTIGUOUS) }
#line 5406 "tokenizer.cpp"
yy895:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 117 "tokenizer.re"
	{ KW(DEALLOCATE) }
#line 5415 "tokenizer.cpp"
yy897:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 135 "tokenizer.re"
	{ KW(ENUMERATOR) }
#line 5424 "tokenizer.cpp"
yy899:
	yych = *++cur;
	if (yych == 'E') goto yy914;
	if (yych == 'e') goto yy914;
	goto yy54;
yy900:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 167 "tokenizer.re"
	{ KW(LOCAL_INIT) }
#line 5438 "tokenizer.cpp"
yy902:
	yych = *++cur;
	if (yych == 'S') goto yy916;
	if (yych == 's') goto yy916;
	goto yy54;
yy903:
	yych = *++cur;
	if (yych == 'D') goto yy917;
	if (yych == 'd') goto yy917;
	goto yy54;
yy904:
	yych = *++cur;
	if (yych == 'I') goto yy918;
	if (yych == 'i') goto yy918;
	goto yy54;
yy905:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 212 "tokenizer.re"
	{ KW(SUBROUTINE) }
#line 5462 "tokenizer.cpp"
yy907:
	yych = *++cur;
	if (yych == 'R') goto yy919;
	if (yych == 'r') goto yy919;
	goto yy54;
yy908:
	yych = *++cur;
	if (yych == 'D') goto yy921;
	if (yych == 'd') goto yy921;
	goto yy54;
yy909:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 94 "tokenizer.re"
	{ KW(ALLOCATABLE) }
#line 5481 "tokenizer.cpp"
yy911:
	yych = *++cur;
	if (yych == 'S') goto yy923;
	if (yych == 's') goto yy923;
	goto yy54;
yy912:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 107 "tokenizer.re"
	{ KW(CODIMENSION) }
#line 5495 "tokenizer.cpp"
yy914:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 136 "tokenizer.re"
	{ KW(EQUIVALENCE) }
#line 5504 "tokenizer.cpp"
yy916:
	yych = *++cur;
	if (yych == 'I') goto yy925;
	if (yych == 'i') goto yy925;
	goto yy54;
yy917:
	yych = *++cur;
	if (yych == 'A') goto yy926;
	if (yych == 'a') goto yy926;
	goto yy54;
yy918:
	yych = *++cur;
	if (yych == 'V') goto yy927;
	if (yych == 'v') goto yy927;
	goto yy54;
yy919:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 215 "tokenizer.re"
	{ KW(TEAM_NUMBER) }
#line 5528 "tokenizer.cpp"
yy921:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 219 "tokenizer.re"
	{ KW(UNFORMATTED) }
#line 5537 "tokenizer.cpp"
yy923:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 98 "tokenizer.re"
	{ KW(ASYNCHRONOUS) }
#line 5546 "tokenizer.cpp"
yy925:
	yych = *++cur;
	if (yych == 'C') goto yy928;
	if (yych == 'c') goto yy928;
	goto yy54;
yy926:
	yych = *++cur;
	if (yych == 'B') goto yy930;
	if (yych == 'b') goto yy930;
	goto yy54;
yy927:
	yych = *++cur;
	if (yych == 'E') goto yy931;
	if (yych == 'e') goto yy931;
	goto yy54;
yy928:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 174 "tokenizer.re"
	{ KW(NON_INTRINSIC) }
#line 5570 "tokenizer.cpp"
yy930:
	yych = *++cur;
	if (yych == 'L') goto yy933;
	if (yych == 'l') goto yy933;
	goto yy54;
yy931:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 176 "tokenizer.re"
	{ KW(NON_RECURSIVE) }
#line 5584 "tokenizer.cpp"
yy933:
	yych = *++cur;
	if (yych == 'E') goto yy934;
	if (yych != 'e') goto yy54;
yy934:
	yych = *++cur;
	if (yybm[0+yych] & 2) {
		goto yy53;
	}
	if (yych == '_') goto yy129;
#line 175 "tokenizer.re"
	{ KW(NON_OVERRIDABLE) }
#line 5597 "tokenizer.cpp"
}
#line 315 "tokenizer.re"

    }
}

} // namespace LFortran
